<?php
/**
* English (en) translation file.
* This also serves as the base translation file from which to derive
*  all other translations.
*  
* @author Nick Korbel <lqqkout13@users.sourceforge.net>
* @translator Your Name <your@email.address.net>
* @version 08-01-04
* @package Languages
*
* Copyright (C) 2003 - 2005 phpScheduleIt
* License: GPL, see LICENSE
*/
///////////////////////////////////////////////////////////
// INSTRUCTIONS
///////////////////////////////////////////////////////////
// This file contains all of the strings that are used throughout phpScheduleit.
// Please save the translated file as '2 letter language code'.lang.php.  For example, en.lang.php.
// 
// To make phpScheduleIt available in another language, simply translate each
//  of the following strings into the appropriate one for the language.  If there
//  is no direct translation, please provide the closest translation.  Please be sure
//  to make the proper additions the /config/langs.php file (instructions are in the file).
//  Also, please add a help translation for your language using en.help.php as a base.
//
// You will probably keep all sprintf (%s) tags in their current place.  These tags
//  are there as a substitution placeholder.  Please check the output after translating
//  to be sure that the sentences make sense.
//
// + Please use single quotes ' around all $strings.  If you need to use the ' character, please enter it as \'
// + Please use double quotes " around all $email.  If you need to use the " character, please enter it as \"
//
// + For all $dates please use the PHP strftime() syntax
//    http://us2.php.net/manual/en/function.strftime.php
//
// + Non-intuitive parts of this file will be explained with comments.  If you
//    have any questions, please email lqqkout13@users.sourceforge.net
//    or post questions in the Developers forum on SourceForge
//    http://sourceforge.net/forum/forum.php?forum_id=331297
///////////////////////////////////////////////////////////

////////////////////////////////
/* Do not modify this section */
////////////////////////////////
global $strings;			  //
global $email;				  //
global $dates;				  //
global $charset;			  //
global $letters;			  //
global $days_full;			  //
global $days_abbr;			  //
global $days_two;			  //
global $days_letter;		  //
global $months_full;		  //
global $months_abbr;		  //
global $days_letter;		  //
/******************************/

// Charset for this language
// 'iso-8859-1' will work for most languages
$charset = 'iso-8859-2';

/***
  DAY NAMES
  All of these arrays MUST start with Sunday as the first element 
   and go through the seven day week, ending on Saturday
***/
// The full day name
$days_full = array('Vasrnap', 'Htf', 'Kedd', 'Szerda', 'Cstrtk', 'Pntek', 'Szombat');
// The three letter abbreviation
$days_abbr = array('Vas', 'Ht', 'Ked', 'Sze', 'Cs', 'Pn', 'Szo');
// The two letter abbreviation
$days_two  = array('Va', 'H', 'Ke', 'Se', 'Cs', 'P', 'So');
// The one letter abbreviation
$days_letter = array('V', 'H', 'K', 'S', 'C', 'P', 'Z');

/***
  MONTH NAMES
  All of these arrays MUST start with January as the first element
   and go through the twelve months of the year, ending on December
***/
// The full month name
$months_full = array('Janur', 'Februr', 'Mrcius', 'prilis', 'Mjus', 'Jnius', 'Jlius', 'Augusztus', 'Szeptember', 'Oktber', 'November', 'December');
// The three letter month name
$months_abbr = array('Jan', 'Feb', 'Mr', 'pr', 'Mj', 'Jn', 'Jl', 'Aug', 'Sze', 'Okt', 'Nov', 'Dec');

// All letters of the alphabet starting with A and ending with Z
$letters = array ('A', '', 'B', 'C', 'D', 'E', '', 'F', 'G', 'H', 'I', '', 'J', 'K', 'L', 'M', 'N', 'O', '', '', '', 'P', 'Q', 'R', 'S', 'T', 'U', '', '', '', 'V', 'W', 'X', 'Y', 'Z');

/***
  DATE FORMATTING
  All of the date formatting must use the PHP strftime() syntax
  You can include any text/HTML formatting in the translation
***/
// General date formatting used for all date display unless otherwise noted
$dates['general_date'] = '%Y.%m.%d.';
// General datetime formatting used for all datetime display unless otherwise noted
// The hour:minute:second will always follow this format
$dates['general_datetime'] = '%Y.%m.%d. @';
// Date in the reservation notification popup and email
$dates['res_check'] = '%Y.%m.%d. %A';
// Date on the scheduler that appears above the resource links
$dates['schedule_daily'] = '%Y.%m.%d.<br/>%A';
// Date on top-right of each page
$dates['header'] = '%Y. %B %d. %A';
// Jump box format on bottom of the schedule page
// This must only include %m %d %Y in the proper order,
//  other specifiers will be ignored and will corrupt the jump box 
$dates['jumpbox'] = '%Y.%m.%d.';

/***
  STRING TRANSLATIONS
  All of these strings should be translated from the English value (right side of the equals sign) to the new language.
  - Please keep the keys (between the [] brackets) as they are.  The keys will not always be the same as the value.
  - Please keep the sprintf formatting (%s) placeholders where they are unless you are sure it needs to be moved.
  - Please keep the HTML and punctuation as-is unless you know that you want to change it.
***/
$strings['hours'] = 'ra';
$strings['minutes'] = 'perc';
// The common abbreviation to hint that a user should enter the month as 2 digits
$strings['mm'] = 'hh';
// The common abbreviation to hint that a user should enter the day as 2 digits
$strings['dd'] = 'nn';
// The common abbreviation to hint that a user should enter the year as 4 digits
$strings['yyyy'] = '';
$strings['am'] = 'de';
$strings['pm'] = 'du';

$strings['Administrator'] = 'Adminisztrtor';
$strings['Welcome Back'] = 'dvzlet, %s';
$strings['Log Out'] = 'Kilps';
$strings['My Control Panel'] = 'Irnyt Pult';
$strings['Help'] = 'Segtsg';
$strings['Manage Schedules'] = 'Eljegyzs Kezels';
$strings['Manage Users'] ='Felhasznl Kezels';
$strings['Manage Resources'] ='Kontingens Kezels';
$strings['Manage User Training'] ='Felhasznl Kpzs';
$strings['Manage Reservations'] ='Vizsglat Kezels';
$strings['Email Users'] ='Krlevl a Felhasznlknak';
$strings['Export Database Data'] = 'Adatbzis Adatok Exportlsa';
$strings['Reset Password'] = 'Jelsz Visszalltsa';
$strings['System Administration'] = 'Rendszer Adminisztrci';
$strings['Successful update'] = 'Sikeres Frissts!';
$strings['Update failed!'] = 'Sikeretlen Frissts!';
$strings['Manage Blackout Times'] = 'Tiltott Idpont Kezels';
$strings['Forgot Password'] = 'Elfelejtett Jelsz';
$strings['Manage My Email Contacts'] = 'Email Kapcsolatok Kezelse';
$strings['Choose Date'] = 'Vlasszon Dtumot';
$strings['Modify My Profile'] = 'Profil Mdostsa';
$strings['Register'] = 'Regisztrci';
$strings['Processing Blackout'] = 'rvnytelen Idszak Feldolgozsa';
$strings['Processing Reservation'] = 'Vizsglat Feldolgozsa';
$strings['Online Scheduler [Read-only Mode]'] = 'Online Eljegyzs [Csak Nzegets]';
$strings['Online Scheduler'] = 'Online Eljegyzs';
$strings['phpScheduleIt Statistics'] = 'phpScheduleIt Statisztikk';
$strings['User Info'] = 'Felhasznl Informci:';

$strings['Could not determine tool'] = 'Meghatrozhatatlan eszkz. Trjen vissza a Vezrl Pulthoz s prblkozzon ismt.';
$strings['This is only accessable to the administrator'] = 'Csak az adminisztrtor szmra elrhet';
$strings['Back to My Control Panel'] = 'Vissza a Vezrl Pulthoz';
$strings['That schedule is not available.'] = 'A vlasztott Eljegyzs nem elrhet.';
$strings['You did not select any schedules to delete.'] = 'Nem vlasztotta ki a trlend Eljegyzst.';
$strings['You did not select any members to delete.'] = 'Nem vlasztotta ki a trlend Felhasznlt.';
$strings['You did not select any resources to delete.'] = 'Nem vlasztotta ki a trlend Kontingenst.';
$strings['Schedule title is required.'] = 'Az Eljegyzs nevnek megadsa ktelez.';
$strings['Invalid start/end times'] = 'rvnytelen kezds/befejezs';
$strings['View days is required'] = 'Megjelentend napok szmnak megadsa ktelez';
$strings['Day offset is required'] = 'Eljegyzsi Offset megadsa ktelez';
$strings['Admin email is required'] = 'Az Admin email megadsa ktelez';
$strings['Resource name is required.'] = 'A Kontingens megnevezse ktelez.';
$strings['Valid schedule must be selected'] = 'rvnyes Eljegyzs nevnek megadsa ktelez';
$strings['Minimum reservation length must be less than or equal to maximum reservation length.'] = 'A legrvidebb vizsglati id nem haladhatja meg a maximlis idtartamot.';
$strings['Your request was processed successfully.'] = 'A krst a Rendszer sikeresen feldolgozta.';
$strings['Go back to system administration'] = 'Vissza a Rendszer Adminisztrcihoz';
$strings['Or wait to be automatically redirected there.'] = 'Vagy vrja meg, amg automatikusan tirnytodik.';
$strings['There were problems processing your request.'] = 'Hiba trtnt a krs feldolgozs kzben.';
$strings['Please go back and correct any errors.'] = 'Krem menjen vissza s javtson minden hibt.';
$strings['Login to view details and place reservations'] = 'A rszletek megtekintshez s vizsglat eljegyzshez jelentkezzen be';
$strings['Memberid is not available.'] = 'Az Azonost: %s nem hasznlhat.';

$strings['Schedule Title'] = 'Eljegyzs Megnevezse';
$strings['Start Time'] = 'Kezd idpont';
$strings['End Time'] = 'Befejez idpont';
$strings['Time Span'] = 'Idtartam';
$strings['Weekday Start'] = 'A Ht Kezd Napja';
$strings['Admin Email'] = 'Admin Email';

$strings['Default'] = 'Alaprtelmezett';
$strings['Reset'] = 'Visszallt';
$strings['Edit'] = 'Szerkeszts';
$strings['Delete'] = 'Trls';
$strings['Cancel'] = 'Mgse';
$strings['View'] = 'Nzet';
$strings['Modify'] = 'Mdosts';
$strings['Save'] = 'Ments';
$strings['Back'] = 'Vissza';
$strings['Next'] = 'Elre';
$strings['Close Window'] = 'Ablak Bezrsa';
$strings['Search'] = 'Keress';
$strings['Clear'] = 'res';

$strings['Days to Show'] = 'Megjelentend Napok Szma';
$strings['Reservation Offset'] = 'Eljegyzsi Offset';
$strings['Hidden'] = 'Rejtett';
$strings['Show Summary'] = 'sszegzs Megjelentse';
$strings['Add Schedule'] = 'j Eljegyzs Hozzadsa';
$strings['Edit Schedule'] = 'Eljegyzs Szerkesztse';
$strings['No'] = 'Nem';
$strings['Yes'] = 'Igen';
$strings['Name'] = 'Nv';
$strings['First Name'] = 'Vezetknv';
$strings['Last Name'] = 'Keresztnv';
$strings['Resource Name'] = 'Kontingens Neve';
$strings['Email'] = 'Email';
$strings['Institution'] = 'Intzmny';
$strings['Phone'] = 'Telefon';
$strings['Password'] = 'Jelsz';
$strings['Permissions'] = 'Permissions';
$strings['View information about'] = 'Tjkoztats megtekintse a kvetkezrl: %s %s';
$strings['Send email to'] = 'Email kldse a kvetkeznek: %s %s';
$strings['Reset password for'] = 'Reset password for %s %s';
$strings['Edit permissions for'] = 'Edit permissions for %s %s';
$strings['Position'] = 'Beoszts';
$strings['Password (6 char min)'] = 'Jelsz (minimum %s bet)';
$strings['Re-Enter Password'] = 'A jelsz ismtelt megadsa';

$strings['Sort by descending last name'] = 'Cskken sorrend a Keresztnv alapjn';
$strings['Sort by descending email address'] = 'Cskken sorrend az Email cm alapjn';
$strings['Sort by descending institution'] = 'Cskken sorrend az Intzmny megnevezse alapjn';
$strings['Sort by ascending last name'] = 'Emelked sorrend a Keresztnv alapjn';
$strings['Sort by ascending email address'] = 'Emelked sorrend az Email cm alapjn';
$strings['Sort by ascending institution'] = 'Emelked sorrend az Intzmny megnevezse alapjn';
$strings['Sort by descending resource name'] = 'Cskken sorrend a Kontingens neve alapjn';
$strings['Sort by descending location'] = 'Cskken sorrend Helyszn alapjn';
$strings['Sort by descending schedule title'] = 'Cskken sorrend az Eljegyzs megnevezse alapjn';
$strings['Sort by ascending resource name'] = 'Emelked sorrend a Kontingens neve alapjn';
$strings['Sort by ascending location'] = 'Emelked sorrend Helyszn alapjn';
$strings['Sort by ascending schedule title'] = 'Emelked sorrend az Eljegyzs megnevezse alapjn';
$strings['Sort by descending date'] = 'Cskken sorrend a dtum alapjn';
$strings['Sort by descending user name'] = 'Cskken sorrend Felhasznl nv alapjn';
$strings['Sort by descending resource name'] = 'Cskken sorrend a Kontingens neve alapjn';
$strings['Sort by descending start time'] = 'Cskken sorrend a Kezd idpont alapjn';
$strings['Sort by descending end time'] = 'Cskken sorrend a Befejez idpont alapjn';
$strings['Sort by ascending date'] = 'Emelked sorrend dtum alapjn';
$strings['Sort by ascending user name'] = 'Emelked sorrend a Felhasznl nv alapjn';
$strings['Sort by ascending resource name'] = 'Emelked sorrend a Kontingens neve alapjn';
$strings['Sort by ascending start time'] = 'Emelked sorrend a Kezd idpont alapjn';
$strings['Sort by ascending end time'] = 'Emelked sorrend a Befejez idpont alapjn';
$strings['Sort by descending created time'] = 'Cskken sorrend a Ltrehozs dtuma alapjn';
$strings['Sort by ascending created time'] = 'Emelked sorrend a Ltrehozs dtuma alapjn';
$strings['Sort by descending last modified time'] = 'Cskken sorrend az utols Mdosts ideje alapjn';
$strings['Sort by ascending last modified time'] = 'Emelked sorrend az utols Mdosts ideje alapjn';

$strings['Search Users'] = 'Felhasznl Keresse';
$strings['Location'] = 'Helyszn';
$strings['Schedule'] = 'Eljegyzs';
$strings['Phone'] = 'Telefon';
$strings['Notes'] = 'Megjegyzs';
$strings['Status'] = 'llapot';
$strings['All Schedules'] = 'Minden Eljegyzs';
$strings['All Resources'] = 'Minden Kontingens';
$strings['All Users'] = 'Minden Felhasznl';

$strings['Edit data for'] = 'A kvetkez adatainak szerkesztse: %s';
$strings['Active'] = 'Aktv';
$strings['Inactive'] = 'Inaktv';
$strings['Toggle this resource active/inactive'] = 'A Kontingens llapotnak ';
$strings['Minimum Reservation Time'] = 'Minimum Vizsglati idtartam';
$strings['Maximum Reservation Time'] = 'Maximum Vizsglati idtartam';
$strings['Auto-assign permission'] = 'Jogosultsgok Automatikus Kiosztsa';
$strings['Add Resource'] = 'Kontingens Hozzadsa';
$strings['Edit Resource'] = 'Kontingens Szerkesztse';
$strings['Allowed'] = 'Engedlyezett';
$strings['Notify user'] = 'Felhasznl rtestse';
$strings['User Reservations'] = 'Felhasznl Viszglatai';
$strings['Date'] = 'Dtum';
$strings['User'] = 'Felhasznl';
$strings['Email Users'] = 'Email Users';
$strings['Subject'] = 'Trgy';
$strings['Message'] = 'Szveg';
$strings['Please select users'] = 'Vlasszon Felhasznlt';
$strings['Send Email'] = 'Email Kldse';
$strings['problem sending email'] = 'Sajnos problma merlt fel az email kldse kzben. Krem prblja jra ksbb.';
$strings['The email sent successfully.'] = 'Az emailt sikerlt postzni.';
$strings['do not refresh page'] = 'Krem <u>NE</u> frisstse ezt az oldalt, mert az email jra elkldsre kerl.';
$strings['Return to email management'] = 'Visszatrs az Email Kezelshez';
$strings['Please select which tables and fields to export'] = 'Krem vlassza ki, hogy melyik tblt s mezt kvnja exportlni:';
$strings['all fields'] = '- minden mez -';
$strings['HTML'] = 'HTML';
$strings['Plain text'] = 'Sima szveg';
$strings['XML'] = 'XML';
$strings['CSV'] = 'CSV';
$strings['Export Data'] = 'Adatok Exportlsa';
$strings['Reset Password for'] = '%s Jelszavnak visszalltsa';
$strings['Please edit your profile'] = 'Krem hajtsa vgre Profiljn a kvnt vltoztatsokat';
$strings['Please register'] = 'Krem Regisztrljon';
$strings['Email address (this will be your login)'] = 'Email cm (ez lesz az Azonostja)';
$strings['Keep me logged in'] = 'A Rendszer rrizen meg bejelentkezett llapotban <br/>(cookie tmogats szksges)';
$strings['Edit Profile'] = 'Profil Szerkesztse';
$strings['Register'] = 'Regisztrci';
$strings['Please Log In'] = 'Krem Jelentkezzen Be';
$strings['Email address'] = 'Email Cm';
$strings['Password'] = 'Jelsz';
$strings['First time user'] = 'Els Alkalom?';
$strings['Click here to register'] = 'Kattintson ide a regisztrcihoz';
$strings['Register for phpScheduleIt'] = 'Regisztrci a phpScheduleIt Rendszerbe';
$strings['Log In'] = 'Bejelentkezs';
$strings['View Schedule'] = 'Eljegyzsek Megtekintse';
$strings['View a read-only version of the schedule'] = 'Megtekints csak olvashat mdban';
$strings['I Forgot My Password'] = 'Elfelejtett Jelsz';
$strings['Retreive lost password'] = 'Elfelejtett jelsz elkrse';
$strings['Get online help'] = 'Online Segtsg';
$strings['Language'] = 'Nyelv';
$strings['(Default)'] = '(Alaprtelmezett)';

$strings['My Announcements'] = 'Bejelentsek';
$strings['My Reservations'] = 'Vizsglatok';
$strings['My Permissions'] = 'Jogosultsgok';
$strings['My Quick Links'] = 'Gyors Linkek';
$strings['Announcements as of'] = 'Bejelentsek %s';
$strings['There are no announcements.'] = 'Nincsen Bejelents.';
$strings['Resource'] = 'Kontingens';
$strings['Created'] = 'Ltrehozva';
$strings['Last Modified'] = 'Utoljra Mdostva';
$strings['View this reservation'] = 'Viszglat megtekintse';
$strings['Modify this reservation'] = 'Vizsglat mdostsa';
$strings['Delete this reservation'] = 'Viszglat trlse';
$strings['Go to the Online Scheduler'] = 'Ugrs az Online Eljegyzsre';
$strings['Change My Profile Information/Password'] = 'Profile Szerkesztse/Jelsz Megvltoztatsa';
$strings['Manage My Email Preferences'] = 'Email Belltsok Szerkesztse';
$strings['Manage Blackout Times'] = 'Tiltott Idpont Kezels';
$strings['Mass Email Users'] = 'Mass Email Users';
$strings['Search Scheduled Resource Usage'] = 'Search Scheduled Resource Usage';
$strings['Export Database Content'] = 'Adatbzis Tartalom Exportlsa';
$strings['View System Stats'] = 'Rendszer Statisztika Megtekintse';
$strings['Email Administrator'] = 'Email Kldse az Adminisztrtornak';

$strings['Email me when'] = 'Email kldse a kvetkez esetben:';
$strings['I place a reservation'] = 'Vizsglat eljegyzse';
$strings['My reservation is modified'] = 'Eljegyzett vizsglat mdosttsa';
$strings['My reservation is deleted'] = 'Eljegyzett vizsglat trlse';
$strings['I prefer'] = 'Elnyben rszesl:';
$strings['Your email preferences were successfully saved'] = 'Az email belltsok sikeresen trolsra kerltek!';
$strings['Return to My Control Panel'] = 'Vissza a Vezrl Pulthoz';

$strings['Please select the starting and ending times'] = 'Krem vlassza ki a kezd s befejez idpontokat:';
$strings['Please change the starting and ending times'] = 'Krem mdostsa a kezd s a befejez idpontokat:';
$strings['Reserved time'] = 'Fenntartott idtartam:';
$strings['Minimum Reservation Length'] = 'Minimum Vizsglati Id:';
$strings['Maximum Reservation Length'] = 'Maximum Vizsglati Id:';
$strings['Reserved for'] = 'Fenntartva:';
$strings['Will be reserved for'] = 'Nem kerl kiosztsra:';
$strings['N/A'] = 'N/A';
$strings['Update all recurring records in group'] = 'Az ismtelt elfordulsok ?';
$strings['Delete?'] = 'Trls?';
$strings['Never'] = '-- Soha --';
$strings['Days'] = 'Naponta';
$strings['Weeks'] = 'Hetenknt';
$strings['Months (date)'] = 'Hnapban (Dtum)';
$strings['Months (day)'] = 'Hnapban (Nap)';
$strings['First Days'] = 'Els nap';
$strings['Second Days'] = 'Msodik napon';
$strings['Third Days'] = 'Harmadik napon';
$strings['Fourth Days'] = 'Negyedik napon';
$strings['Last Days'] = 'Utols nap';
$strings['Repeat every'] = 'Ismtelt elforduls minden:';
$strings['Repeat on'] = 'Ismtldjn:';
$strings['Repeat until date'] = 'Ismtldjn a kvetkez ideig:';
$strings['Choose Date'] = 'Vlasszon dtumot';
$strings['Summary'] = 'sszegzs';

$strings['View schedule'] = 'Eljegyzs megtekintse:';
$strings['My Reservations'] = 'Sajt Vizsglat';
$strings['My Past Reservations'] = 'Lejrt Sajt Vizsglat';
$strings['Other Reservations'] = 'Egyb Vizsglat';
$strings['Other Past Reservations'] = 'Lejrt Egyb Vizsglat';
$strings['Blacked Out Time'] = 'Tiltott Idpont';
$strings['Set blackout times'] = 'Idpont Tiltsa %s %s'; 
$strings['Reserve on'] = 'Reserve %s on %s';
$strings['Prev Week'] = '&laquo; Elz Ht';
$strings['Jump 1 week back'] = '1 Httel Vissza';
$strings['Prev days'] = '&#8249; Elz %d nap';
$strings['Previous days'] = '&#8249; Elz %d nap';
$strings['This Week'] = 'Aktulis Ht';
$strings['Jump to this week'] = 'Ugrs erre a htre';
$strings['Next days'] = 'Kvetkez %d nap &#8250;';
$strings['Next Week'] = 'Kvetkez ht &raquo;';
$strings['Jump To Date'] = 'Ugrs erre a napra';
$strings['View Monthly Calendar'] = 'Naptr Megtekintse Havi Bontsban';
$strings['Open up a navigational calendar'] = 'Navigl naptr megnyitsa';

$strings['View stats for schedule'] = 'Eljegyzs statisztikinak megjelentse:';
$strings['At A Glance'] = 'Egy Pillantra';
$strings['Total Users'] = 'sszes Felhasznl:';
$strings['Total Resources'] = 'sszes Kontingens:';
$strings['Total Reservations'] = 'sszes Vizsglat:';
$strings['Max Reservation'] = 'Maximum Vizsglat:';
$strings['Min Reservation'] = 'Minimum Vizsglat:';
$strings['Avg Reservation'] = 'tlagos Vizsglat:';
$strings['Most Active Resource'] = 'Legaktvabb Kontingens:';
$strings['Most Active User'] = 'Legaktvabb Felhasznlk:';
$strings['System Stats'] = 'Rendszer Statisztika';
$strings['phpScheduleIt version'] = 'phpScheduleIt verzi:';
$strings['Database backend'] = 'Adatbzis backend:';
$strings['Database name'] = 'Adatbzis nv:';
$strings['PHP version'] = 'PHP verziszm:';
$strings['Server OS'] = 'Szerver OS:';
$strings['Server name'] = 'Szerver nv:';
$strings['phpScheduleIt root directory'] = 'phpScheduleIt gkr knyvtr:';
$strings['Using permissions'] = 'Jogosultsg kezels hasznlata:';
$strings['Using logging'] = 'Naplzs hasznlata:';
$strings['Log file'] = 'Napl fjl:';
$strings['Admin email address'] = 'Admin email cm:';
$strings['Tech email address'] = 'Tech email cm:';
$strings['CC email addresses'] = 'CC email cm:';
$strings['Reservation start time'] = 'Vizsglat kezd idpont:';
$strings['Reservation end time'] = 'Vizsglat vgs idpont:';
$strings['Days shown at a time'] = 'Egyszerre megjelntett napok:';
$strings['Reservations'] = 'Vizsglati eljegyzsek';
$strings['Return to top'] = 'Vissza a tetejre';
$strings['for'] = 'miatt';

$strings['Select Search Criteria'] = 'Select Search Criteria';
$strings['Schedules'] = 'Eljegyzsek:';
$strings['All Schedules'] = 'sszes Eljegyzs';
$strings['Hold CTRL to select multiple'] = 'Tbbszrs vlasztshoz tartsa lenyomva a CTRL-t';
$strings['Users'] = 'Felhasznlk:';
$strings['All Users'] = 'sszes Felhasznl';
$strings['Resources'] = 'Kontingens:';
$strings['All Resources'] = 'sszes Kontingens';
$strings['Starting Date'] = 'Kezd Dtum:';
$strings['Ending Date'] = 'Befejez Dtum:';
$strings['Starting Time'] = 'Kezd Idpont:';
$strings['Ending Time'] = 'Befejez Idpont:';
$strings['Output Type'] = 'Kijelzsi Md:';
$strings['Manage'] = 'Kezels';
$strings['Total Time'] = 'sszestett Idtartam';
$strings['Total hours'] = 'sszestett rk:';
$strings['% of total resource time'] = '%-a az sszes Vizsglati Idnek';
$strings['View these results as'] = 'Az eredmnyek megtekintse a kvetkezkppen:';
$strings['Edit this reservation'] = 'A Vizsglat szerkesztse';
$strings['Search Results'] = 'Keressi Erednyek';
$strings['Search Resource Usage'] = 'Kontingens Kihasznltsg szerinti keress';
$strings['Search Results found'] = 'Keressi Eredmnyek: %d Tallat';
$strings['Try a different search'] = 'Prblkozzon msik keresssel';
$strings['Search Run On'] = 'Keress a Kvetkezn Futott:';
$strings['Member ID'] = 'Felhasznl Azonost';
$strings['Previous User'] = '&laquo; Elz Felhasznl';
$strings['Next User'] = 'Kvetkez Felhasznl &raquo;';

$strings['No results'] = 'Nincs Tallat';
$strings['That record could not be found.'] = 'Ilyen Bejegyzs nem tallhat..';
$strings['This blackout is not recurring.'] = 'A Tiltott Idpont nem ismtldik.';
$strings['This reservation is not recurring.'] = 'A Vizsglat nem ismtldik.';
$strings['There are no records in the table.'] = 'Nincs egy Bejegyzs sem a kvetkez Tblban: %s.';
$strings['You do not have any reservations scheduled.'] = 'Nem tallhat n ltal eljegyzett Vizsglat.';
$strings['You do not have permission to use any resources.'] = 'nnek egyik Kontingens hasznlathoz sincs joga.';
$strings['No resources in the database.'] = 'Nincs Kontingens az adatbzisban.';
$strings['There was an error executing your query'] = 'Hiba trtnt a krs feldolgozsa kzben:';

$strings['That cookie seems to be invalid'] = 'A Cookie rvnytelennek tnik';
$strings['We could not find that email in our database.'] = 'A megadott Email cm nem tallhat az adatbzisban.';
$strings['That password did not match the one in our database.'] = 'A megadott Jelsz nem egyezik az adatbzisban szereplvel.';
$strings['You can try'] = '<br />You can try:<br />Registering an email address.<br />Or:<br />Try logging in again.';
$strings['A new user has been added'] = 'Az j Felhasznl bejegyzsre kerlt a Rendszerbe';
$strings['You have successfully registered'] = 'Sikeres Regisztrci!';
$strings['Continue'] = 'Folytats...';
$strings['Your profile has been successfully updated!'] = 'A Profil sikeresen frisstsre kerlt!';
$strings['Please return to My Control Panel'] = 'Krem trjen vissza a Vezrl Pulthoz';
$strings['Valid email address is required.'] = '- Vals email cm megadsa szksges.';
$strings['First name is required.'] = '- Vezetknv megadsa ktelez.';
$strings['Last name is required.'] = '- Keresztnv megadsa ktelez.';
$strings['Phone number is required.'] = '- Telefonszm megadsa ktelez.';
$strings['That email is taken already.'] = '- A megadott email cm foglalt.<br />Krem vlasszon egy msikat.';
$strings['Min 6 character password is required.'] = '- Min %s bet hossz jelsz megadsa szksges.';
$strings['Passwords do not match.'] = '- A jelsz nem egyezik.';

$strings['Per page'] = 'Oldalanknt:';
$strings['Page'] = 'Oldal:';

$strings['Your reservation was successfully created'] = 'A Vizsglat sikeresen bejegyzsre kerlt';
$strings['Your reservation was successfully modified'] = 'A Vizsglat sikeresen mdostsra kerlt';
$strings['Your reservation was successfully deleted'] = 'A Vizsglat sikeresen trlsre kerlt';
$strings['Your blackout was successfully created'] = 'A Tiltott Idpont sikeresen bejegyzsre kerlt';
$strings['Your blackout was successfully modified'] = 'A Tiltott Idpont sikeresen mdostsra kerlt';
$strings['Your blackout was successfully deleted'] = 'A Tiltott Idpont sikeresen trlsre kerlt';
$strings['for the follwing dates'] = 'az albbi idpont(ok)ban:';
$strings['Start time must be less than end time'] = 'A Kezd Idpontnak korbbinak kell lenni a Befejez Idpontnl';
$strings['Current start time is'] = 'Aktulis Kezd Idpont:';
$strings['Current end time is'] = 'Aktulis Befejez Idpont:';
$strings['Reservation length does not fall within this resource\'s allowed length.'] = 'A Vizsglat megadott hossza nem teljesti az idtartammal kapcsolatban\ meghatrozott feltteleket.';
$strings['Your reservation is'] = 'A Vizsglat:';
$strings['Minimum reservation length'] = 'Minimlis Vizsglati Idtartam:';
$strings['Maximum reservation length'] = 'Maximlis Vizsglati Idtartam:';
$strings['You do not have permission to use this resource.'] = 'Nincs Jogosultsga az adott Kontingens hasznlathoz.';
$strings['reserved or unavailable'] = '%s -tl %s -ig a(z) %s mr foglalt vagy nem hasznlhat.';
$strings['Reservation created for'] = 'Vizsglat ltrehozva %s';
$strings['Reservation modified for'] = 'Vizsglat mdostva %s';
$strings['Reservation deleted for'] = 'Vizsglat trlve %s';
$strings['created'] = 'ltrehozva';
$strings['modified'] = 'mdostva';
$strings['deleted'] = 'trlve';
$strings['Reservation #'] = 'Vizsglat #';
$strings['Contact'] = 'Kapcsolat';
$strings['Reservation created'] = 'Viszglat ltrehozva';
$strings['Reservation modified'] = 'Vizsglat mdostva';
$strings['Reservation deleted'] = 'Vizsglat trlve';

$strings['Reservations by month'] = 'Vizsglatok Hnapos Bontsban';
$strings['Reservations by day of the week'] = 'Vizsglatok Napos Bontsban';
$strings['Reservations per month'] = 'Vizsglatok Hnaponknt';
$strings['Reservations per user'] = 'Vizsglatok Felhasznlnknt';
$strings['Reservations per resource'] = 'Vizsglatok Kontingensenknt';
$strings['Reservations per start time'] = 'Vizsglatok Idul Idpont Alapjn';
$strings['Reservations per end time'] = 'Vizsglatok Befejez Idpont Alapjn';
$strings['[All Reservations]'] = '[Minden Vizsglat]';

$strings['Permissions Updated'] = 'Frissltek a Jogosultsgok';
$strings['Your permissions have been updated'] = '%s Jogosultsgok frisstsre kerltek';
$strings['You now do not have permission to use any resources.'] = 'Egy Kontingens hasznlathoz sincs Jogosultsga.';
$strings['You now have permission to use the following resources'] = 'Mostantl Jogosultsggal rendelkezik a kvetkez Kontingens(ek) hasznlatra:';
$strings['Please contact with any questions.'] = 'Krds esetn krem vegye fel a kapcsolatot a kvetkezvel: %s.';
$strings['Password Reset'] = 'Jelsz Visszalltva';

$strings['This will change your password to a new, randomly generated one.'] = 'Ezzel Jelszava vletlenszerre fog vltozni.';
$strings['your new password will be set'] = 'Miutn megadta az Email cmt s a "Jelsz Megvltoztatsa" gombra kattint, az jdonslt Jelszavt a rendszer regisztrlja s elkldi nnek Email-ben.';
$strings['Change Password'] = 'Jelsz Megvltoztatsa';
$strings['Sorry, we could not find that user in the database.'] = 'Sajnos a megadott Felhasznl nem tallhat meg az adatbzisban.';
$strings['Your New Password'] = 'Az n j %s Jelszava';
$strings['Your new passsword has been emailed to you.'] = 'Elkszlt!<br />'
    			. 'Az jdonslt Jelszavt a Rendszer elkldte nnek.<br />'
    			. 'Krem ellenrizze postafikjt s a nytlapon Kattintson a <a href="index.php">Bejelentkezs</a> linkre.'
    			. ' Hasznlja az j Jelszavt s vltoztassa meg azonnal a &quot;Profil Szerkesztse/Jelsz Megvltoztatsa&quot;'
    			. ' menpont alatt a Vezrl Pultban.';

$strings['You are not logged in!'] = 'Nincs Bejelentkezve!';

$strings['Setup'] = 'Telepts';
$strings['Please log into your database'] = 'Krem jelentkezzen be az adatbzisba';
$strings['Enter database root username'] = 'Adja meg az adatbzis felhasznljnak azonostjt:';
$strings['Enter database root password'] = 'Adja meg az adatbzis felhasznljnak jelszavt:';
$strings['Login to database'] = 'Bejelentkezs az adatbzisba';
$strings['Root user is not required. Any database user who has permission to create tables is acceptable.'] = 'Az adatbzis root felhasznljnak megadsa <b>nem</b> szksges. Brmely adatbzis felhasznl megfelel, akinek van jogosultsga a tblk ltrehozsra.';
$strings['This will set up all the necessary databases and tables for phpScheduleIt.'] = 'Ezzel teleptsre kerl minden szksges phpScheduleIt Adatbzis s Tbla.';
$strings['It also populates any required tables.'] = 'Valamint feltlti a szksges Tblkat.';
$strings['Warning: THIS WILL ERASE ALL DATA IN PREVIOUS phpScheduleIt DATABASES!'] = 'Figyelmeztets: MINDEN KORBBI ADAT TRLSRE KERL A phpScheduleIt ADATBZISBL!';
$strings['Not a valid database type in the config.php file.'] = 'rvnytelen adatbzis tpus szerepel a config.php fjlban.';
$strings['Database user password is not set in the config.php file.'] = 'Az adatbzis felhasznljnak jelszava nincs megadva a config.php fjlban.';
$strings['Database name not set in the config.php file.'] = 'Az adatbzis neve nincs megadva config.php fjlban.';
$strings['Successfully connected as'] = 'Sikeres kapcsolds a kvetkez nven';
$strings['Create tables'] = 'Tblk ltrehozsa &gt;';
$strings['There were errors during the install.'] = 'Hiba trtnt a telepts sorn. Elkpzelhet, hogy a phpScheduleIt mgis mkdni fog, amennyiben ez(ek) csak kis jelentsgek volt(ak).<br/><br/>'
	. 'Krdsekkel keresse fel a projekt frumt a <a href="http://sourceforge.net/forum/?group_id=95547">SourceForge</a>-on.';
$strings['You have successfully finished setting up phpScheduleIt and are ready to begin using it.'] = 'A phpScheduleIt teleptse sikeresen befejezdtt s a Rendszer hasznlatra ksz.';
$strings['Thank you for using phpScheduleIt'] = 'Krem bizonyosodjon meg rla, hogy a \'install\' KNYVTRAT TELJESEN ELTVOLTOTTA.'
	. ' A knyvtr trlse alapvet biztonsgi krds, mert bizalmas informcikat (adatbzis jelsz) tartalmaz.'
	. ' Elmulasztsa szles biztonsgi rst hagy nyitva, melyen t brmikor betrhetnek az adatbzisba!'
	. '<br /><br />'
	. 'Ksznet, amirt a phpScheduleIt-et vlasztotta!';
$strings['This will update your version of phpScheduleIt from 0.9.3 to 1.0.0.'] = 'A phpScheduleIt Rendszer ennek segtsgvel 0.9.3-rl 1.0.0-ra Korszersthet.';
$strings['There is no way to undo this action'] = 'A kvetkez beavatkozs visszalltsra nincs lehetsg!';
$strings['Click to proceed'] = 'Kattintson a tovbblpshez';
$strings['This version has already been upgraded to 1.0.0.'] = 'A jelen Rendszer mr most is 1.0.0-s verzij.';
$strings['Please delete this file.'] = 'Krem trlje ezt a fjlt.';
$strings['Successful update'] = 'A Korszersts sikerrel jrt';
$strings['Patch completed successfully'] = 'A foltozs sikeresen befejezdtt';
$strings['This will populate the required fields for phpScheduleIt 1.0.0 and patch a data bug in 0.9.9.'] = 'A kvetkez betlti a phpScheduleIt 1.0.0 szmra szksges mezket s nhny 0.9.9-es verziban megtallhat data bug-ot foltoz.'
		. '<br />Csak akkor szksges lefuttatni, ha kzi SQL frisstst hajtott vgre, vagy 0.9.9-rl korszerst';

// @since 1.0.0 RC1
$strings['If no value is specified, the default password set in the config file will be used.'] = 'Amennyiben nem ad meg semmit, a konfigurcis fjlban szerepl jelsz lesz az rvnyes.';
$strings['Notify user that password has been changed?'] = 'A felhasznl rtestse a jelszava megvltozsrl.';

/***
  EMAIL MESSAGES
  Please translate these email messages into your language.  You should keep the sprintf (%s) placeholders
   in their current position unless you know you need to move them.
  All email messages should be surrounded by double quotes "
  Each email message will be described below.
***/
// Email message that a user gets after they register
$email['register'] = "%s, %s \r\n"
				. "Sikeresen regisztrlt a Rendszerbe a kvetkez adatokkal:\r\n"
				. "Nv: %s %s \r\n"
				. "Telefon: %s \r\n"
				. "Intzmny: %s \r\n"
				. "Beoszts: %s \r\n\r\n"
				. "Krem jelentkezzen be a Rendszerbe a kvetkez helyen:\r\n"
				. "%s \r\n\r\n"
				. "A Vezrl Pultban linket tall az Online Eljegyzsre is s a Profil-jt szerkesztheti.\r\n\r\n"
				. "Krem forduljon a kvetkezhz Viszglatokkal s Kontingensekkel kapcsolatos krdseivel: %s";

// Email message the admin gets after a new user registers
$email['register_admin'] = "Adminisztrtor,\r\n\r\n"
					. "Egy j Felhasznl regisztrlt az albbi informcikkal:\r\n"
					. "Email cm: %s \r\n"
					. "Nv: %s %s \r\n"
					. "Telefon: %s \r\n"
					. "Intzmny: %s \r\n"
					. "Beoszts: %s \r\n\r\n";

// First part of the email that a user gets after they create/modify/delete a reservation
// 'reservation_activity_1' through 'reservation_activity_6' are all part of one email message
//  that needs to be assembled depending on different options.  Please translate all of them.
$email['reservation_activity_1'] = "%s,\r\n<br />"
			. "Sikeres eljegyzs %s Vizsglat #%s.\r\n\r\n<br/><br/>"
			. "Krem hivatkozzon a Vizsglatot azonost szmra, amennyiben felveszi a kapcsolatot az Adminisztrtorral.\r\n\r\n<br/><br/>"
			. "Kvetkez dtummal: %s %s-tl %s-ig %s szmra"
			. " a %s helysznen %s.\r\n\r\n<br/><br/>";
$email['reservation_activity_2'] = "A Vizsglat a kvetkez napokon fog ismtldni:\r\n<br/>";
$email['reservation_activity_3'] = "A csoportban elfordul sszes ismtld Viszglat szintn %s.\r\n\r\n<br/><br/>";
$email['reservation_activity_4'] = "A kvetkez sszegzst adtk meg a Vizsglat eljegyzsekor:\r\n<br/>%s\r\n\r\n<br/><br/>";
$email['reservation_activity_5'] = "Amennyiben ez egy tveds, krem rtestse az Adminisztrtort: %s"
			. " vagy telefonljon a kvetkez szmra: %s.\r\n\r\n<br/><br/>"
			. "Az eljegyzett Vizsglat rszleteit brmikor megnzheti vagy mdosthatja, ha"
			. " Bejelentkezik %s Rendszerbe a kvetkez helyen:\r\n<br/>"
			. "<a href=\"%s\" target=\"_blank\">%s</a>.\r\n\r\n<br/><br/>";
$email['reservation_activity_6'] = "A technikai jelleg krdsekkel forduljon a kvetkezhz: <a href=\"mailto:%s\">%s</a>.\r\n\r\n<br/><br/>";

// Email that the user gets when the administrator changes their password
$email['password_reset'] = "Az n %s Jelszavt az Adminisztrtor visszalltotta.\r\n\r\n"
			. "Az n ideiglenes jelszava:\r\n\r\n %s\r\n\r\n"
			. "Krem hasznlja ezt (msolja s illessze be, hogy biztosan helyes legyen) a Belpshez %s a kvetkez helyen: %s"
			. " s vltoztassa meg nyomban a Vezrl Pult 'Profil Szerkesztse/Jelsz Megvltoztatsa' menpontjban.\r\n\r\n"
			. "Krdseivel krem keresse meg a kvetkezt: %s.";

// Email that the user gets when they change their lost password using the 'Password Reset' form
$email['new_password'] = "%s,\r\n"
            . "Az n j Jelszava az %s Azonostjhoz a kvetkez:\r\n\r\n"
            . "%s\r\n\r\n"
            . "Krem jelentkezzen be a kvetkez helyen: %s "
            . "s hasznlja az jdonslt Jelszavt "
            . "(Msolja s illessze be, hogy biztosan hibtlanul kerljn bevitelre) "
            . "majd a jelsz azonnali megvltoztatshoz keresse fel a "
            . "Profil Szerkesztse/Jelsz Megvltoztatsa menpontot "
            . "a Vezrl Pultban.\r\n\r\n"
            . "Krdseivel forduljon a kvetkezhz: %s.";
?>