<?php
/**
* This file provides output functions for the admin class
* No data manipulation is done in this file
* @author Nick Korbel <lqqkout13@users.sourceforge.net>
* @author David Poole <David.Poole@fccc.edu>
* @version 07-20-05
* @package Templates
*
* Copyright (C) 2003 - 2005 phpScheduleIt
* License: GPL, see LICENSE
*/

$link = CmnFns::getNewLink();	// Get Link object

/**
* Return the tool name
* @param none
*/
function getTool() {
	return $_GET['tool'];
}

/**
* Prints out list of current schedules
* @param Object $pager pager object
* @param mixed $schedules array of schedule data
* @param string $err last database error
*/
function print_manage_schedules(&$pager, $schedules, $err) {
	global $link;

?>
<form name="manageSchedule" method="post" action="admin_update.php" onsubmit="return checkAdminForm();">
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="9" class="tableTitle">&#8250; <?=translate('All Schedules')?></td>
        </tr>
        <tr class="rowHeaders">
          <td><?=translate('Schedule Title')?></td>
          <td width="8%"><?=translate('Start Time')?></td>
          <td width="8%"><?=translate('End Time')?></td>
          <td width="9%"><?=translate('Time Span')?></td>  
		  <td width="11%"><?=translate('Weekday Start')?></td>    
          <td width="20%"><?=translate('Admin Email')?></td>
		  <td width="7%"><?=translate('Default')?></td>
		  <td width="5%"><?=translate('Edit')?></td>
          <td width="7%"><?=translate('Delete')?></td>
        </tr>
        <?

	if (!$schedules)
		echo '<tr class="cellColor0"><td colspan="9" style="text-align: center;">' . $err . '</td></tr>' . "\n";
		
    for ($i = 0; is_array($schedules) && $i < count($schedules); $i++) {
		$cur = $schedules[$i];
        echo "<tr class=\"cellColor" . ($i%2) . "\" align=\"center\" id=\"tr$i\">\n"
            . '<td style="text-align:left">' . $cur['scheduleTitle'] . "</td>\n"
            . '<td style="text-align:left">';
        echo CmnFns::formatTime($cur['dayStart']);
		echo "</td>\n"
            . '<td style="text-align:left">';
        echo CmnFns::formatTime($cur['dayEnd']);
        echo "</td>\n"
            . '<td style="text-align:left">';
        echo CmnFns::minutes_to_hours($cur['timeSpan']);
		echo "</td>\n"
		    . '<td style="text-align:left">';
        echo CmnFns::get_day_name($cur['weekDayStart'], 0);
		echo "</td>\n"
		 . '<td style="text-align:left">';
	    echo $cur['adminEmail'];
		echo "</td>\n"
			. '<td><input type="radio" value="' . $schedules[$i]['scheduleid'] . "\" name=\"isDefault\"" . ($schedules[$i]['isDefault'] == 1 ? ' checked="checked"' : '') . ' onclick="javacript: setSchedule(\'' . $schedules[$i]['scheduleid'] . '\');" /></td>'
            . '<td>' . $link->getLink($_SERVER['PHP_SELF'] . '?' . preg_replace("/&scheduleid=[\d\w]*/", "", $_SERVER['QUERY_STRING']) . '&amp;scheduleid=' . $cur['scheduleid'] . ((strpos($_SERVER['QUERY_STRING'], $pager->getLimitVar())===false) ? '&amp;' . $pager->getLimitVar() . '=' . $pager->getLimit() : ''), translate('Edit'), '', '', translate('Edit data for', array($cur['scheduleTitle']))) . "</td>\n"
            . "<td><input type=\"checkbox\" name=\"scheduleid[]\" value=\"" . $cur['scheduleid'] . "\" onclick=\"adminRowClick(this,'tr$i',$i);\"/></td>\n"
            . "</tr>\n";
    }
	
    // Close table
    ?>
      </table>
    </td>
  </tr>
</table>
<br />
<?
	echo submit_button(translate('Delete'), 'scheduleid') . hidden_fn('delSchedule');
?>
</form>
<form id="setDefaultSchedule" name="setDefaultSchedule" method="post" action="admin_update.php">
<input type="hidden" name="scheduleid" value=""/>
<input type="hidden" name="fn" value="dfltSchedule"/>
</form>
<?
}


/**
* Interface to add or edit schedule information
* @param mixed $rs array of schedule data
* @param boolean $edit whether this is an edit or not
* @param object $pager Pager object
*/
function print_schedule_edit($rs, $edit, &$pager) {
	global $conf;
    ?>
<form name="addSchedule" method="post" action="admin_update.php" <?= $edit ? "" : "onsubmit=\"return checkAddSchedule();\"" ?>>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td width="200" class="formNames"><?=translate('Schedule Title')?></td>
          <td class="cellColor"><input type="text" name="scheduleTitle" class="textbox" value="<?= isset($rs['scheduleTitle']) ? $rs['scheduleTitle'] : '' ?>" />
          </td>
        </tr>
		<tr>
		  <td class="formNames"><?=translate('Start Time')?></td>
		  <td class="cellColor"><select name="dayStart" class="textbox">		  
		  <?
		  for ($time = 0; $time <= 1410; $time += 30)
		  	echo '<option value="' . $time . '"' . ((isset($rs['dayStart']) && ($rs['dayStart'] == $time)) ? ' selected="selected"' : '') . '>' . CmnFns::formatTime($time) . '</option>' . "\n";
		  ?>		  
		  </select>
		  </td>
		</tr>
		<tr>
		  <td class="formNames"><?=translate('End Time')?></td>
		  <td class="cellColor"><select name="dayEnd" class="textbox">		  
		  <?
		  for ($time = 30; $time <= 1440; $time += 30)
		  	echo '<option value="' . $time . '"' . ((isset($rs['dayEnd']) && ($rs['dayEnd'] == $time)) ? (' selected="selected"') : (($time==1440 && !isset($rs['dayEnd'])) ? ' selected="selected"' : '')) . '>' . CmnFns::formatTime($time) . '</option>' . "\n";
		  ?>		  
		  </select>
		  </td>
		</tr>
        <tr>
          <td class="formNames"><?=translate('Time Span')?></td>
          <td class="cellColor"><select name="timeSpan" class="textbox">		  
		  <?
		  $spans = array (30, 10, 15, 60, 120, 180, 240);
		  for ($i = 0; $i < count($spans); $i++)
		  	echo '<option value="' . $spans[$i] . '"' . ((isset($rs['timeSpan']) && ($rs['timeSpan'] == $spans[$i])) ? (' selected="selected"') : '') . '>' . CmnFns::minutes_to_hours($spans[$i]) . '</option>' . "\n";
		  ?>		  
		  </select>
		  </td>
        </tr>
        <tr>
          <td class="formNames"><?=translate('Weekday Start')?></td>
          <td class="cellColor"><select name="weekDayStart" class="textbox">		  
		  <?
		  for ($i = 0; $i < 7; $i++)
		  	echo '<option value="' . $i . '"' . ( (isset($rs['weekDayStart']) && $rs['weekDayStart'] == $i) ? ' selected="selected"' : '') . '>' . CmnFns::get_day_name($i) . '</option>' . "\n";
		  ?>		  
		  </select>
		  </td>
        </tr>
        <tr>
          <td class="formNames"><?=translate('Days to Show')?></td>
          <td class="cellColor"><input type="text" name="viewDays" class="textbox" size="2" maxlength="2" value="<?= isset($rs['viewDays']) ? $rs['viewDays'] : '7' ?>" />
          </td>
        </tr>
		<tr>
		  <td class="formNames"><?=translate('Reservation Offset')?></td>
		  <td class="cellColor"><input type="text" name="dayOffset" class="textbox" size="2" maxlength="2" value="<?= isset($rs['dayOffset']) ? $rs['dayOffset'] : '0' ?>" />
          </td>
		</tr>
		<tr>
		  <td class="formNames"><?=translate('Hidden')?></td>
		   <td class="cellColor"><select name="isHidden" class="textbox">		  
		  <?
		  $yesNo = array(translate('No'), translate('Yes'));
		  for ($i = 0; $i < 2; $i++)
		  	echo '<option value="' . $i . '"' . ((isset($rs['isHidden']) && ($rs['isHidden'] == $i)) ? (' selected="selected"') : '') . '>' . $yesNo[$i]  . '</option>' . "\n";
		  ?>		  
		  </select>
		  </td>
		</tr>
		<tr>
		  <td class="formNames"><?=translate('Show Summary')?></td>
		   <td class="cellColor"><select name="showSummary" class="textbox">		  
		  <?
		  for ($i = 1; $i >= 0; $i--)
		  	echo '<option value="' . $i . '"' . ((isset($rs['showSummary']) && ($rs['showSummary'] == $i)) ? (' selected="selected"') : '') . '>' . $yesNo[$i]  . '</option>' . "\n";
		  ?>		  
		  </select>
		  </td>
		</tr>
		<tr>
          <td class="formNames"><?=translate('Admin Email')?></td>
          <td class="cellColor"><input type="text" name="adminEmail" maxlength="75" class="textbox" value="<?= isset($rs['adminEmail']) ? $rs['adminEmail'] : $conf['app']['adminEmail'] ?>" />
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<br />
<?	
        // Print out correct buttons
        if (!$edit) {
            echo submit_button(translate('Add Schedule'), 'scheduleid') . hidden_fn('addSchedule')
			. ' <input type="reset" name="reset" value="' . translate('Clear') . '" class="button" />' . "\n";
        }
		else {
            echo submit_button(translate('Edit Schedule'), 'scheduleid') . cancel_button($pager) . hidden_fn('editSchedule')
				. '<input type="hidden" name="scheduleid" value="' . $rs['scheduleid'] . '" />' . "\n";
        	// Unset variables	
			unset($rs);
		}
		echo "</form>\n";
}

/**
* Prints out the user management table
* @param Object $pager pager object
* @param mixed $users array of user data
* @param string $err last database error
*/
function print_manage_users(&$pager, $users, $err) {
	global $link;
	
?>

<form name="manageUser" method="post" action="admin_update.php" onsubmit="return checkAdminForm();">
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="7" class="tableTitle">&#8250; <?=translate('All Users')?> </td>
        </tr>
        <tr class="rowHeaders">
          <td width="21%"><?=translate('Name')?></td>
          <td width="25%"><?=translate('Email')?></td>
          <td width="14%"><?=translate('Institution')?></td>
          <td width="11%"><?=translate('Phone')?></td>
          <td width="8%"><?=translate('Password')?></td>
		  <td width="5%"><?=translate('Admin')?></td>
          <td width="10%"><?=translate('Permissions')?></td>
          <td width="6%"><?=translate('Delete')?></td>
        </tr>
        <tr class="cellColor0" style="text-align: center;">
          <td><? printDescLink($pager, 'lname', 'last name') ?> &nbsp;&nbsp; <? printAscLink($pager, 'lname', 'last name') ?> </td>
          <td><? printDescLink($pager, 'email', 'email address') ?> &nbsp;&nbsp; <? printAscLink($pager, 'email', 'email address') ?> </td>
          <td><? printDescLink($pager, 'institution', 'institution') ?> &nbsp;&nbsp; <? printAscLink($pager, 'institution', 'institution') ?> </td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
		  <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <?
	
	if (!$users)
		echo '<tr class="cellColor0"><td colspan="8" style="text-align: center;">' . $err . '</td></tr>' . "\n";
	
	for ($i = 0; is_array($users) && $i < count($users); $i++) {
		$cur = $users[$i];
		$fname = $cur['fname'];
		$lname = $cur['lname'];
		$email = $cur['email'];
		
		$fname_lname = array($fname, $lname);
		
		$admin_link = "memberid={$cur['memberid']}&amp;status=" . (($cur['is_admin'] == 1) ? '0' : '1');
		$admin_text = (($cur['is_admin'] == 1) ? translate('Yes') : translate('No'));
        
		echo "<tr class=\"cellColor" . ($i%2) . "\" align=\"center\" id=\"tr$i\">\n"
               . '<td style="text-align:left;">' . $link->getLink("javascript: viewUser('". $cur['memberid'] . "');", $fname . ' ' . $lname, '', '', translate('View information about', $fname_lname)) . "</td>\n"
               . '<td style="text-align:left;">' . $link->getLink("mailto:$email", $email, '', '', translate('Send email to', array($fname, $lname))) . "</td>\n"
               . '<td style="text-align:left;\">' . $cur['institution'] . "</td>\n"
               . '<td style="text-align:left;">' . $cur['phone'] . "</td>\n"
               . '<td>' . $link->getLink("admin.php?tool=pwreset&amp;memberid=" . $cur['memberid'], translate('Reset'), '', '', translate('Reset password for', $fname_lname)) .  "</td>\n"
               . '<td>' . '<a href="admin_update.php?fn=adminToggle&amp;' . $admin_link . '">' . $admin_text . '</a></td>'
			   . '<td>' . $link->getLink("admin.php?tool=perms&amp;memberid=" . $cur['memberid'], translate('Edit'), '', '', translate('Edit permissions for', $fname_lname)) . "</td>\n"
               . '<td><input type="checkbox" name="memberid[]" value="' . $cur['memberid'] . "\" onclick=\"adminRowClick(this,'tr$i',$i);\"/></td>\n"
              . "</tr>\n";
    }
	
    // Close users table
    ?>
      </table>
    </td>
  </tr>
</table>
<br />
<?
	echo submit_button(translate('Delete')) . hidden_fn('deleteUsers') . '</form>';
?>
<form name="name_search" action="<?=$_SERVER['PHP_SELF']?>" method="get">
	<p align="center">
	<? print_lname_links(); ?>
	</p>
	<br />
	<p align="center">
	<?=translate('First Name')?> <input type="text" name="firstName" class="textbox" />
	<?=translate('Last Name')?> <input type="text" name="lastName" class="textbox" />	
	<input type="hidden" name="searchUsers" value="true" />
	<input type="hidden" name="tool" value="<?=getTool()?>" />
	<input type="hidden" name="<?=$pager->getLimitVar()?>" value="<?=$pager->getLimit()?>" />
	<? if (isset($_GET['order'])) { ?>
		<input type="hidden" name="order" value="<?=$_GET['order']?>" />
	<? } ?>
	<? if (isset($_GET['vert'])) { ?>
		<input type="hidden" name="vert" value="<?=$_GET['vert']?>" />
	<? } ?>
	<input type="submit" name="searchUsersBtn" value="<?=translate('Search Users')?>" class="button" />
	</p>
</form>
<?
}


/**
* Prints out the links to select last names
* @param none
*/
function print_lname_links() {
	global $letters;
	echo '<a href="javascript: search_user_lname(\'\');">' . translate('All Users') . '</a>';
	foreach($letters as $letter) {
		echo '<a href="javascript: search_user_lname(\''. $letter . '\');" style="padding-left: 10px; font-size: 12px;">' . $letter . '</a>';
	}
}

/**
* Prints out list of current resources
* @param Object $pager pager object
* @param mixed $resources array of resource data
* @param string $err last database error
*/
function print_manage_resources(&$pager, $resources, $err) {
	global $link;

?>
<form name="manageResource" method="post" action="admin_update.php" onsubmit="return checkAdminForm();">
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="8" class="tableTitle">&#8250; <?=translate('All Resources')?></td>
        </tr>
        <tr class="rowHeaders">
          <td><?=translate('Resource Name')?></td>
          <td width="18%"><?=translate('Location')?></td>
		  <td width="12%"><?=translate('Schedule')?></td>
          <td width="10%"><?=translate('Phone')?></td>
          <td width="25%"><?=translate('Notes')?></td>
          <td width="5%"><?=translate('Edit')?></td>
          <td width="9%"><?=translate('Status')?></td>
          <td width="7%"><?=translate('Delete')?></td>
        </tr>
        <tr class="cellColor" style="text-align: center">
          <td> <? printDescLink($pager, 'name', 'resource name') ?> &nbsp;&nbsp; <? printAscLink($pager, 'name', 'resource name') ?> </td>
          <td> <? printDescLink($pager, 'location', 'location') ?> &nbsp;&nbsp; <? printAscLink($pager, 'location', 'location') ?> </td>
          <td> <? printDescLink($pager, 'scheduleTitle', 'schedule title') ?> &nbsp;&nbsp; <? printAscLink($pager, 'scheduleTitle', 'schedule title') ?> </td>
		  <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <?

	if (!$resources)
		echo '<tr class="cellColor0"><td colspan="8" style="text-align: center;">' . $err . '</td></tr>' . "\n";
		
    for ($i = 0; is_array($resources) && $i < count($resources); $i++) {
		$cur = $resources[$i];
        echo "<tr class=\"cellColor" . ($i%2) . "\" align=\"center\" id=\"tr$i\">\n"
            . '<td style="text-align:left">' . $cur['name'] . "</td>\n"
            . '<td style="text-align:left">';
        echo isset($cur['location']) ?  $cur['location'] : '&nbsp;';
		echo "</td>\n"
            . '<td style="text-align:left">' . $cur['scheduleTitle'] . "</td>\n";
        echo '<td style="text-align:left">';
        echo isset($cur['rphone']) ?  $cur['rphone'] : '&nbsp;';
		echo "</td>\n"
            . '<td style="text-align:left">';
        echo isset($cur['notes']) ?  $cur['notes'] : '&nbsp;';
		echo "</td>\n"
            . '<td>' . $link->getLink($_SERVER['PHP_SELF'] . '?' . preg_replace("/&machid=[\d\w]*/", "", $_SERVER['QUERY_STRING']) . '&amp;machid=' . $cur['machid'] . ((strpos($_SERVER['QUERY_STRING'], $pager->getLimitVar())===false) ? '&amp;' . $pager->getLimitVar() . '=' . $pager->getLimit() : ''), translate('Edit'), '', '', translate('Edit data for', array($cur['name']))) . "</td>\n"
            . '<td>' . $link->getLink("admin_update.php?fn=togResource&amp;machid=" . $cur['machid'] . "&amp;status=" . $cur['status'], $cur['status'] == 'a' ? translate('Active') : translate('Inactive'), '', '', translate('Toggle this resource active/inactive')) . "</td>\n"
            . "<td><input type=\"checkbox\" name=\"machid[]\" value=\"" . $cur['machid'] . "\" onclick=\"adminRowClick(this,'tr$i',$i);\" /></td>\n"
            . "</tr>\n";
    }
	
    // Close table
    ?>
      </table>
    </td>
  </tr>
</table>
<br />
<?
	echo submit_button(translate('Delete'), 'machid') . hidden_fn('delResource') . '</form>';
}


/**
* Interface to add or edit resource information
* @param mixed $rs array of resource data
* @param boolean $edit whether this is an edit or not
* @param object $pager Pager object
*/
function print_resource_edit($rs, $scheds, $edit, &$pager) {
	global $conf;
	$start = 0;
	$end   = 1440;
	$mins = array(0, 10, 15, 30);
	$disabled = ($edit && $rs['allow_multi'] == 1) ? 'disabled="disabled"' : '';
	
	if ($edit) {
		$minH = intval($rs['minRes'] / 60);
		$minM = intval($rs['minRes'] % 60);
		$maxH = intval($rs['maxRes'] / 60);
		$maxM = intval($rs['maxRes'] % 60);
	}
	else {
		$maxH = 24;
	}

    ?>
<form name="addResource" method="post" action="admin_update.php" <?= $edit ? "" : "onsubmit=\"return checkAddResource(this);\"" ?>>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td width="200" class="formNames"><?=translate('Resource Name')?></td>
          <td class="cellColor"><input type="text" name="name" class="textbox" value="<?= isset($rs['name']) ? $rs['name'] : '' ?>" />
          </td>
        </tr>
        <tr>
          <td class="formNames"><?=translate('Location')?></td>
          <td class="cellColor"><input type="text" name="location" class="textbox" value="<?= isset($rs['location']) ? $rs['location'] : '' ?>" />
          </td>
        </tr>
        <tr>
          <td class="formNames"><?=translate('Phone')?></td>
          <td class="cellColor"><input type="text" name="rphone" class="textbox" value="<?= isset($rs['rphone']) ? $rs['rphone'] : '' ?>" />
          </td>
        </tr>
        <tr>
          <td class="formNames"><?=translate('Notes')?></td>
          <td class="cellColor"><textarea name="notes" class="textbox" rows="3" cols="30"><?= isset($rs['notes']) ? $rs['notes'] : '' ?></textarea>
          </td>
        </tr>
		<tr>
		<td class="formNames"><?=translate('Schedule')?></td>
		<td class="cellColor">
		<select name="scheduleid" class="textbox">
		<?
		if (empty($scheds))
			echo '<option value="">Please add schedules</option>';
		else {
			for ($i = 0; $i < count($scheds); $i++)
				echo '<option value="' . $scheds[$i]['scheduleid'] . '"' . (isset($rs['scheduleid']) && $scheds[$i]['scheduleid'] == $rs['scheduleid'] ? ' selected="selected"' : '') . '>' . $scheds[$i]['scheduleTitle'] . "</option>\n";
		}
		?>
		</select>
		</td>
		</tr>
		<tr>
		  <td class="formNames"><?=translate('Minimum Reservation Time')?></td>
		  <td class="cellColor">
		  <select name="minH" class="textbox" id="minH" <?=$disabled?>>		  
		  <?
		  for ($h = 0; $h < 25; $h++)
		  	echo '<option value="' . $h . '"' . ((isset($minH) && $minH == $h) ? ' selected="selected"' : '') . '>' . $h . ' ' . translate('hours') . '</option>' . "\n";
		  ?>
		  </select>
		  <select name="minM" class="textbox" id="minM" <?=$disabled?>>
		  <?
		  foreach ($mins as $m)
		  	echo '<option value="' . $m . '"' . ((isset($minM) && $minM == $m) ? ' selected="selected"' : '') . '>' . $m . ' ' . translate('minutes') . '</option>' . "\n";
		  ?>		  
		  </select>
		  </td>
		</tr>
		<tr>
		  <td class="formNames"><?=translate('Maximum Reservation Time')?></td>
		  <td class="cellColor">
		  <select name="maxH" class="textbox" id="maxH" <?=$disabled?>>		  
		  <?
		  for ($h = 0; $h < 25; $h++)
		  	echo '<option value="' . $h . '"' . ((isset($maxH) && $maxH == $h) ? ' selected="selected"' : '') . '>' . $h . ' ' . translate('hours') . '</option>' . "\n";
		  ?>
		  </select>
		  <select name="maxM" class="textbox" id="maxM" <?=$disabled?>>
		  <?
		  foreach ($mins as $m)
		  	echo '<option value="' . $m . '"' . ((isset($maxM) && $maxM == $m) ? ' selected="selected"' : '') . '>' . $m . ' ' . translate('minutes') . '</option>' . "\n";
		  ?>		  
		  </select>
		  </td>
		</tr>
		<tr>
		  <td class="formNames"><?=translate('Auto-assign permission')?></td>
		  <td class="cellColor"><input type="checkbox" name="autoAssign" <?=(isset($rs['autoAssign']) && ($rs['autoAssign'] == 1)) ? 'checked="checked"' : ''?>/>
		  </td>
		</tr>
        <tr>
		  <td class="formNames"><?=translate('Approval Required')?></td>
		  <td class="cellColor"><input type="checkbox" name="approval" <?=(isset($rs['approval']) && ($rs['approval'] == 1)) ? 'checked="checked"' : ''?>/>
		  </td>
		</tr>
		<tr>
		  <td class="formNames"><?=translate('Allow Multiple Day Reservations')?></td>
		  <td class="cellColor"><input type="checkbox" name="allow_multi" <?=(isset($rs['allow_multi']) && ($rs['allow_multi'] == 1)) ? 'checked="checked"' : ''?> onclick="showHideMinMax(this);" />
		  </td>
		</tr>
      </table>
    </td>
  </tr>
</table>
<br />
<?	
        // Print out correct buttons
        if (!$edit) {
            echo submit_button(translate('Add Resource'), 'machid') . hidden_fn('addResource')
			. ' <input type="reset" name="reset" value="' . translate('Clear') . '" class="button" />' . "\n";
        }
		else {
            echo submit_button(translate('Edit Resource'), 'machid') . cancel_button($pager) . hidden_fn('editResource')
				. '<input type="hidden" name="machid" value="' . $rs['machid'] . '" />' . "\n";
        	// Unset variables	
			unset($rs);
		}
		echo "</form>\n";
}


/**
* Interface for managing user training
* Provide interface for viewing and managing
*  user training information
* @param object $user User object of user to manage
* @param array $rs list of resources
*/
function print_manage_perms(&$user, $rs, $err) {    
	global $link;
	
	if (!$user->is_valid()) {
		CmnFns::do_error_box($user->get_error() . '<br /><a href="' . $_SERVER['PHP_SELF'] . '?tool=users">' . translate('Back') . '</a>', '', false);
		return;
	}
			
	echo '<h3>' . $user->get_name() . '</h3>';
    ?>
<form name="train" method="post" action="admin_update.php">
  <table border="0" cellspacing="0" cellpadding="1">
    <tr>
      <td class="tableBorder">
        <table cellspacing="1" cellpadding="2" border="0" width="100%">
          <tr class="rowHeaders">
            <td width="240"><?=translate('Resource Name')?></td>
            <td width="60"><?=translate('Allowed')?></td>
          </tr>
          <?
			if (!$rs) echo '<tr class="cellColor0" style="text-align: center;"><td colspan="2">' . $err . '</td></tr>';
			
			for ($i = 0; is_array($rs) && $i < count($rs); $i++) {
				echo '<tr class="cellColor"><td>' . $rs[$i]['name'] . '</td><td style="text-align: center;">'
					. '<input type="checkbox" name="machid[]" value="' . $rs[$i]['machid'] . '"';
				if ($user->has_perm($rs[$i]['machid']))
					echo ' checked="checked"';
				echo '/></td></tr>';
		  	}
    
    // Close off tables/forms.  Print buttons and hidden field
    ?>
          <tr class="cellColor1">
            <td>&nbsp;</td>
            <td style="text-align: center;">
              <input type="checkbox" name="checkAll" onclick="checkAllBoxes(this);" />
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <input type="hidden" name="memberid" value="<?=$user->get_id()?>" />
  <p style="padding-top: 5px; padding-bottom: 5px;"><input type="checkbox" name="notify_user" value="true" /><?=translate('Notify user')?></p>
  <?= submit_button(translate('Save')) . hidden_fn('editPerms')?>
  <input type="button" name="cancel" value="<?=translate('Manage Users')?>" class="button" onclick="document.location='<?=$_SERVER['PHP_SELF']?>?tool=users';" />
</form>
<?
}

/**
* Interface for approving reservations
* Provide a table to allow admin to approve or delete reservations
* @param Object $pager pager object
* @param mixed $res reservation data
* @param string $err last database error
*/
function print_approve_reservations(&$pager, $res, $err) {
	global $link;
	
?>
<form name="approve" id="approve" method="post" action="reserve.php" style="margin: 0px;">
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="9" class="tableTitle">&#8250; <?=translate('Pending User Reservations')?></td>
        </tr>
        <tr class="rowHeaders">
          <td width="10%"><?=translate('Start Date')?></td>
		  <td width="10%"><?=translate('End Date')?></td>
          <td width="20%"><?=translate('User')?></td>
          <td width="19%"><?=translate('Resource')?></td>
          <td width="10%"><?=translate('Start Time')?></td>
          <td width="10%"><?=translate('End Time')?></td>
          <td width="7%"><?=translate('View')?></td>
          <td width="7%"><?=translate('Approve')?></td>
          <td width="7%"><?=translate('Delete')?></td>
        </tr>
        <tr class="cellColor" style="text-align: center">
          <td> <? printDescLink($pager, 'start_date', 'Sort by descending date') ?> &nbsp;&nbsp; <? printAscLink($pager, 'start_date', 'Sort by ascending date') ?> </td>
          <td> <? printDescLink($pager, 'end_date', 'Sort by descending date') ?> &nbsp;&nbsp; <? printAscLink($pager, 'end_date', 'Sort by ascending date') ?> </td>
		  <td> <? printDescLink($pager, 'lname', 'Sort by descending user name') ?> &nbsp;&nbsp; <? printAscLink($pager, 'lname', 'Sort by ascending user name') ?> </td>
          <td> <? printDescLink($pager, 'name', 'Sort by descending resource name') ?> &nbsp;&nbsp; <? printAscLink($pager, 'name', 'Sort by ascending resource name') ?> </td>
          <td> <? printDescLink($pager, 'startTime', 'Sort by descending start time') ?> &nbsp;&nbsp; <? printAscLink($pager, 'startTime', 'Sort by ascending start time') ?> </td>
          <td> <? printDescLink($pager, 'endTime', 'Sort by descending end time') ?> &nbsp;&nbsp; <? printAscLink($pager, 'endTime', 'Sort by ascending end time') ?> </td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <?	
	// Write message if they have no reservations	
	if (!$res)
		echo '<tr class="cellColor"><td colspan="9" align="center">' . $err . '</td></tr>';

	// For each reservation, clean up the date/time and print it
	for ($i = 0; is_array($res) && $i < count($res); $i++) {
		$cur = $res[$i];
		$fname = $cur['fname'];
		$lname = $cur['lname'];	
        echo "<tr class=\"cellColor" . ($i%2) . "\" align=\"center\">\n"
					. '<td>' . CmnFns::formatDate($cur['start_date']) . '</td>'
					. '<td>' . CmnFns::formatDate($cur['end_date']) . '</td>'
					. '<td style="text-align:left">' . $link->getLink("javascript: viewUser('" . $cur['memberid'] . "');", $fname . ' ' . $lname, '', '', translate('View information about', array($fname,$lname))) . '</td>'
                    . '<td style="text-align:left">' . $cur['name'] . "</td>"
					. '<td>' . CmnFns::formatTime($cur['startTime']) . '</td>'
					. '<td>' . CmnFns::formatTime($cur['endTime']) . '</td>'
                    . '<td>' . $link->getLink("javascript: reserve('v','','','" . $cur['resid']. "');", translate('View'), '', '', translate('View this reservation information')) . '</td>'
					. '<td>' . $link->getlink("javascript: reserve('a','','','" . $cur['resid'] ."');", translate('Approve'), '', '', translate('Approve this reservation')) . '</td>'
					. '<td>' . $link->getLink("javascript: reserve('d','','','" . $cur['resid']. "');", translate('Delete'), '', '', translate('Delete this reservation')) . '</td>'
					. "</tr>\n";		
	}
    ?>
      </table>
    </td>
  </tr>
</table>
</form>
<br />
<?
}

/**
* Interface for managing reservations
* Provide a table to allow admin to modify or delete reservations
* @param Object $pager pager object
* @param mixed $res reservation data
* @param string $err last database error
*/
function print_manage_reservations(&$pager, $res, $err) {
	global $link;
	
?>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="9" class="tableTitle">&#8250; <?=translate('User Reservations')?></td>
        </tr>
        <tr class="rowHeaders">
          <td width="10%"><?=translate('Start Date')?></td>
		  <td width="10%"><?=translate('End Date')?></td>
          <td width="20%"><?=translate('User')?></td>
          <td width="19%"><?=translate('Resource Name')?></td>
          <td width="10%"><?=translate('Start Time')?></td>
          <td width="10%"><?=translate('End Time')?></td>
          <td width="7%"><?=translate('View')?></td>
          <td width="7%"><?=translate('Modify')?></td>
          <td width="7%"><?=translate('Delete')?></td>
        </tr>
        <tr class="cellColor" style="text-align: center">
          <td> <? printDescLink($pager, 'start_date', 'start date') ?> &nbsp;&nbsp; <? printAscLink($pager, 'start_date', 'start date') ?> </td>
          <td> <? printDescLink($pager, 'end_date', 'end date') ?> &nbsp;&nbsp; <? printAscLink($pager, 'end_date', 'end date') ?> </td>
		  <td> <? printDescLink($pager, 'lname', 'user name') ?> &nbsp;&nbsp; <? printAscLink($pager, 'lname', 'user name') ?> </td>
          <td> <? printDescLink($pager, 'name', 'resource name') ?> &nbsp;&nbsp; <? printAscLink($pager, 'name', 'resource name') ?> </td>
          <td> <? printDescLink($pager, 'startTime', 'start time') ?> &nbsp;&nbsp; <? printAscLink($pager, 'startTime', 'start time') ?> </td>
          <td> <? printDescLink($pager, 'endTime', 'end time') ?> &nbsp;&nbsp; <? printAscLink($pager, 'endTime', 'end time') ?> </td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <?	
	// Write message if they have no reservations	
	if (!$res)
		echo '<tr class="cellColor"><td colspan="9" align="center">' . $err . '</td></tr>';

	// For each reservation, clean up the date/time and print it
	for ($i = 0; is_array($res) && $i < count($res); $i++) {
		$cur = $res[$i];
		$fname = $cur['fname'];
		$lname = $cur['lname'];	
        echo "<tr class=\"cellColor" . ($i%2) . "\" align=\"center\">\n"
					. '<td>' . CmnFns::formatDate($cur['start_date']) . '</td>'
					. '<td>' . CmnFns::formatDate($cur['end_date']) . '</td>'
					. '<td style="text-align:left">' . $link->getLink("javascript: viewUser('" . $cur['memberid'] . "');", $fname . ' ' . $lname, '', '', translate('View information about', array($fname,$lname))) . "</td>"
                    . '<td style="text-align:left">' . $cur['name'] . "</td>"
					. '<td>' . CmnFns::formatTime($cur['startTime']) . '</td>'
					. '<td>' . CmnFns::formatTime($cur['endTime']) . '</td>'
                    . '<td>' . $link->getLink("javascript: reserve('v','','','" . $cur['resid']. "');", translate('View')) . '</td>'
					. '<td>' . $link->getlink("javascript: reserve('m','','','" . $cur['resid']. "');", translate('Modify')) . '</td>'
					. '<td>' . $link->getLink("javascript: reserve('d','','','" . $cur['resid']. "');", translate('Delete')) . '</td>'
					. "</tr>\n";		
	}
    ?>
      </table>
    </td>
  </tr>
</table>
<br />
<?
}


/**
* Prints out list of current announcements
* @param Object $pager pager object
* @param mixed $announcements array of announcement data
* @param string $err last database error
*/
function print_manage_announcements(&$pager, $announcements, $err) {
	global $link;

?>
<form name="manageAnnouncement" method="post" action="admin_update.php" onsubmit="return checkAnnouncementForm();">
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="7" class="tableTitle">&#8250; <?=translate('All Announcements')?></td>
        </tr>
        <tr class="rowHeaders">
          <td><?=translate('Announcement')?></td>
          <td width="7%"><?=translate('Number')?></td>
		  <td width="5%"><?=translate('Edit')?></td>
          <td width="7%"><?=translate('Delete')?></td>
        </tr>
        <?

	if (!$announcements)
		echo '<tr class="cellColor0"><td colspan="8" style="text-align: center;">' . $err . '</td></tr>' . "\n";
		
    for ($i = 0; is_array($announcements) && $i < count($announcements); $i++) {
		$cur = $announcements[$i];
        echo "<tr class=\"cellColor" . ($i%2) . "\" align=\"center\" id=\"tr$i\">\n"
            . '<td style="text-align:left">' . htmlspecialchars($cur['announcement']) . "</td>\n"
            . '<td style="text-align:left">';
	    echo $cur['number'];
		echo "</td>\n"
            . '<td>' . $link->getLink($_SERVER['PHP_SELF'] . '?' . preg_replace("/&announcmentid=[\d\w]*/", "", $_SERVER['QUERY_STRING']) . '&amp;announcementid=' . $cur['announcementid'] . ((strpos($_SERVER['QUERY_STRING'], $pager->getLimitVar())===false) ? '&amp;' . $pager->getLimitVar() . '=' . $pager->getLimit() : ''), translate('Edit'), '', '', translate('Edit data for', array($cur['announcementid']))) . "</td>\n"
            . "<td><input type=\"checkbox\" name=\"announcementid[]\" value=\"" . $cur['announcementid'] . "\" onclick=\"adminRowClick(this,'tr$i',$i);\" /></td>\n"
            . "</tr>\n";
    }
	
    // Close table
    ?>
      </table>
    </td>
  </tr>
</table>
<br />
<?
	echo submit_button(translate('Delete Announcements'), 'announcementid') . hidden_fn('delAnnouncement');
?>
</form>
<?
}

/**
* Interface to add or edit announcement information
* @param mixed $rs array of schedule data
* @param boolean $edit whether this is an edit or not
* @param object $pager Pager object
*/
function print_announce_edit($rs, $edit, &$pager) {
	global $conf;
	$start_date_ok = (isset($rs['start_datetime']) && !empty($rs['start_datetime']));
	$end_date_ok = (isset($rs['end_datetime']) && !empty($rs['end_datetime']));
								
	$start_date = ($start_date_ok) ? $rs['start_datetime'] : mktime();
	$end_date = ($end_date_ok) ? $rs['end_datetime'] : mktime();
    ?>
<form name="addAnnouncement" method="post" action="admin_update.php" <?= $edit ? "" : "onsubmit=\"return checkAddAnnouncement();\"" ?>>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td class="formNames"><?=translate('Announcement')?></td>
          <td class="cellColor"><input type="text" name="announcement" class="textbox" size="50" maxlength="300" value="<?= isset($rs['announcement']) ? htmlspecialchars($rs['announcement']) : '' ?>" />
          </td>
        </tr>
        <tr>
          <td width="200" class="formNames"><?=translate('Number')?></td>
          <td class="cellColor"><input type="text" name="number" class="textbox" size="3" maxlength="3" value="<?= isset($rs['number']) ? $rs['number'] : '' ?>" />
          </td>
        </tr>     
		<tr>
			<td class="formNames"><?= translate('Start Date') ?></td>
			<td class="cellColor">
				<? echo '<div id="div_start_date" style="float:left;width:70px;">' . CmnFns::formatDate($start_date) . '</div><input type="hidden" id="hdn_start_date" name="start_date" value="' . date('m' . INTERNAL_DATE_SEPERATOR . 'd' . INTERNAL_DATE_SEPERATOR . 'Y', $start_date) . '"/> <a href="javascript:void(0);"><img src="img/calendar.gif" border="0" id="img_start_date" alt="' . translate('Start') . '"/></a>';
					$s_hour = ($start_date_ok) ? date('h', $rs['start_datetime']) : '';
					$s_min = ($start_date_ok) ? date('i', $rs['start_datetime']) : '';
					$s_pm = ($start_date_ok) ? intval(date('H', $rs['start_datetime'])) >= 12 : false;
					echo ' @ <input type="text" maxlength="2" size="2" class="textbox" name="start_hour" value="' . $s_hour . '"/> : <input type="text" maxlength="2" size="2" class="textbox" name="start_min" value="' . $s_min . '"/>';
					echo ' <select name="start_ampm" class="textbox"><option value="am">' . translate('am') . '</option><option value="pm"' . (($s_pm) ? ' selected="selected"' : '') . '>' . translate('pm') . '</option></select>';
					echo ' <input type="checkbox" name="use_start_time"' . ($start_date_ok ? ' checked="checked"' : ''). '/> ' . translate('Use start date/time?');
				?>
			</td>
		</tr>
		<tr>
			<td class="formNames"><?= translate('End Date') ?></td>
			<td class="cellColor">
				<? echo '<div id="div_end_date" style="float:left;width:70px;">' . CmnFns::formatDate($end_date) . '</div><input type="hidden" id="hdn_end_date" name="end_date" value="' . date('m' . INTERNAL_DATE_SEPERATOR . 'd' . INTERNAL_DATE_SEPERATOR . 'Y', $end_date) . '"/> <a href="javascript:void(0);"><img src="img/calendar.gif" border="0" id="img_end_date" alt="' . translate('End') . '"/></a>';
					$s_hour = ($end_date_ok) ? date('h', $rs['end_datetime']) : '';
					$s_min = ($end_date_ok) ? date('i', $rs['end_datetime']) : '';
					$s_pm = ($end_date_ok) ? intval(date('H', $rs['end_datetime'])) >= 12 : false;
					echo ' @ <input type="text" maxlength="2" size="2" class="textbox" name="end_hour" value="' . $s_hour . '"/> : <input type="text" maxlength="2" size="2" class="textbox" name="end_min" value="' . $s_min . '"/>';
					echo ' <select name="end_ampm" class="textbox"><option value="am">' . translate('am') . '</option><option value="pm"' . (($s_pm) ? ' selected="selected"' : '') . '>' . translate('pm') . '</option></select>';
					echo ' <input type="checkbox" name="use_end_time"' . ($end_date_ok ? ' checked="checked"' : ''). '/> ' . translate('Use end date/time?');
				?>
			</td>
		</tr>
	  </table>
    </td>
  </tr>
</table>
<br />
<?	
        // Print out correct buttons
        if (!$edit) {
            echo submit_button(translate('Add Announcement'), 'announcementid') . hidden_fn('addAnnouncement')
			. ' <input type="reset" name="reset" value="' . translate('Clear') . '" class="button" />' . "\n";
        }
		else {
            echo submit_button(translate('Edit Announcement'), 'announcementid') . cancel_button($pager) . hidden_fn('editAnnouncement')
				. '<input type="hidden" name="announcementid" value="' . $rs['announcementid'] . '" />' . "\n";		
		}
		echo "</form>\n";
		print_jscalendar_setup($start_date_ok ? $rs['start_datetime'] : null, $end_date_ok ? $rs['end_datetime'] : null);		// Set up the javascript calendars
		// Unset variables
		unset($rs);
}


/**
* Prints out GUI list to of email addresses
* Prints out a table with option to email users,
*  and prints form to enter subject and message of email
* @param array $users user data
* @param string $sub subject of email
* @param string $msg message of email
* @param array $usr users to send to
* @param string $err last database error
*/
function print_manage_email($users, $sub, $msg, $usr, $err) {
	?>
<form name="emailUsers" method="post" action="<?=$_SERVER['PHP_SELF'] . '?tool=' . $_GET['tool']?>">
  <table width="60%" border="0" cellspacing="0" cellpadding="1">
    <tr>
      <td class="tableBorder">
        <table width="100%" border="0" cellspacing="1" cellpadding="0">
          <tr>
            <td colspan="3" class="tableTitle">&#8250; <?=translate('Email Users')?></td>
          </tr>
          <tr class="rowHeaders">
            <td width="15%">&nbsp;</td>
            <td width="40%"><?=translate('User')?></td>
            <td width="45%"><?=translate('Email')?></td>
          </tr>
          <?
	if (!$users)
		echo '<tr class="cellColor0" style="text-align: center;"><td colspan="3">' . $err . '</td></tr>';
    // Print users out in table
    for ($i = 0; is_array($users) && $i < count($users); $i++) {
		$cur = $users[$i];
        echo '<tr class="cellColor' . ($i%2) . "\">\n"
            . '<td style="text-align: center;"><input type="checkbox" ';
		if ( empty($usr) || in_array($cur['email'], $usr) )
			echo 'checked="checked" ';
		echo 'name="emailIDs[]" value="' . $cur['email'] . "\" /></td>\n"
            . '<td>&lt;' . $cur['lname'] . ', ' . $cur['fname'] . '&gt;</td>'
            . '<td>' . $cur['email'] . '</td>'
            . "</tr>\n";
    }
    ?>
          <tr>
            <td class="cellColor0" style="text-align: center;">
              <input type="checkbox" name="checkAll" checked="checked" onclick="checkAllBoxes(this);" />
            </td>
			<td colspan="2" class="cellColor0">&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <br />
  <table width="60%" border="0" cellspacing="0" cellpadding="5">
    <tr>
      <td width="15%"><p><?=translate('Subject')?></p>
      </td>
      <td><input type="text" name="subject" size="60" class="textbox" value="<?=$sub?>"/>
      </td>
    </tr>
    <tr>
      <td valign="top"><p><?=translate('Message')?></p>
      </td>
      <td><textarea rows="10" cols="60" name="message" class="textbox"><?=$msg?></textarea>
      </td>
    </tr>
  </table>
  <input type="submit" name="previewEmail" value="<?=translate('Next')?> &gt;" class="button" />
</form>
<?
}

/**
* Prints out a preview of the email to be sent
* @param string $sub subject of email
* @param string $msg message of email
* @param array $usr array of users to send the email to
*/
function preview_email($sub, $msg, $usr) {
?>
<table width="60%" cellpadding="0" cellspacing="0" border="0">
  <tr>
    <td bgcolor="#DEDEDE">
      <table width="100%" cellpadding="3" cellspacing="1" border="0">
        <tr class="cellColor0">
          <td><?=$sub?>
          </td>
        </tr>
        <tr class="cellColor0">
          <td><?=$msg?>
          </td>
        </tr>
		<tr class="cellColor0">
		  <td>
		  <?
		  if (empty($usr)) echo translate('Please select users');
		  foreach ($usr as $email) echo $email . '<br />'
		  ?>
		  </td>
		</tr>
      </table>
    </td>
  </tr>
</table>
<br />
<form action="<?=$_SERVER['PHP_SELF'] . '?tool=' . $_GET['tool']?>" method="post" name="send_email">
<input type="button" name="goback" value="&lt; <?=translate('Back')?>" class="button" onclick="history.back();" />
<input type="submit" name="sendEmail" value="<?=translate('Send Email')?>" class="button" />
</form>
<?
}


/**
* Actually sends the email to all addresses in POST
* @param string $subject subject of email
* @param string $msg email message
* @param array $success array of users that email was successful for
*/
function print_email_results($subject, $msg, $success) {
    if (!$success)
		CmnFns::do_error_box(translate('problem sending email'), '', false);
	else {
		CmnFns::do_message_box(translate('The email sent successfully.'));
	}

    echo '<h4 align="center">' . translate('do not refresh page') . '<br/>'
        . '<a href="' . $_SERVER['PHP_SELF'] . '?tool=email">' . translate('Return to email management') . '</a></h4>';
}

/**
* Prints out a list of tables and all the fields in them
*  with an option to select which tables and fields should be exported
*  and in which format
* @param array $tables array of tables
* @param array $fields array of fields for each table
*/
function show_tables($tables, $fields) {
	echo '<h5>' . translate('Please select which tables and fields to export') . '</h5>'
		. '<form name="get_fields" action="' . $_SERVER['PHP_SELF'] . '?' . $_SERVER['QUERY_STRING'] . '" method="post">' . "\n";
	for ($i = 0; $i < count($tables); $i++) {
		echo '<p><input type="checkbox" name="table[]" value="' . $tables[$i] . '"  checked="checked" onclick="javascript: toggle_fields(this);" />' . $tables[$i] . "</p>\n";
		
		echo '<select name="table,' . $tables[$i] . '[]" multiple="multiple" size="5" class="textbox">' . "\n";
		echo '<option value="all" selected="selected">' . translate('all fields') . "</option>\n";
		for ($k = 0; $k < count($fields[$tables[$i]]); $k++)
			echo  '<option value="' . $fields[$tables[$i]][$k] . '">' . $fields[$tables[$i]][$k] . '</option>' . "\n";

		echo "</select><br />\n";
	}
	echo '<p><input type="radio" name="type" value="xml" checked="checked" />' . translate('XML')
		. '<input type="radio" name="type" value="csv" />' . translate('CSV')
		. '</p><br /><input type="submit" name="submit" value="' . translate('Export Data') . '" class="button" /></form>';
}

/**
* Begins the line of table data
* @param boolean $xml if this is in XML or not
* @param string $table_name name of this table
*/
function start_exported_data($xml, $table_name) {
	echo '<pre>';
	echo ($xml) ? "&lt;$table_name&gt;\r\n" : '';
}

/**
* Prints out the exported data in XML or CSV format
* @param array $data array of data to print out
* @param boolean $xml whether to print XML or not
*/
function print_exported_data($data, $xml) {
	$first_row = true;
	for ($x = 0; $x < count($data); $x++) {
		echo ($xml) ? "\t&lt;record&gt;\r\n" : '';
		
		if (!$xml && $first_row) {				// Print out names of fields for first row of CSV
				$keys = array_keys($data[$x]);
				for ($i = 0; $i < count($keys); $i++) {
					echo '"' . $keys[$i] . '"';
					if ($i < count($keys)-1) echo ',';
				} 
				echo "\r\n";
		}
		
		$first_row = false;

		$first_csv = '"';
		foreach ($data[$x] as $k => $v) {
			echo ($xml) ? "\t\t&lt;$k&gt;$v&lt;/$k&gt;\r\n" : $first_csv . addslashes($v) . '"';
			$first_csv = ',"';
		}
		echo ($xml) ? "\t&lt;/record&gt;\r\n" : "\r\n";
	}	
}

/**
* Prints out an interface to manage blackout times for this resource
* @param array $resource array of resource data
* @param array $blackouts array of blackout data
*/
function print_blackouts($resource, $blackouts) {
	for ($i = 0; $i < count($resouce); $i++)
		echo $resouce[$i] . '<br />';
}

/**
* Ends the line of table data
* @param boolean $xml if this is in XML or not
* @param string $table_name name of this table
*/
function end_exported_data($xml, $table_name) {
	echo ($xml) ? "&lt;/$table_name&gt;\r\n" : '';
	echo '</pre>';
}

/**
* Prints the form to reset a users password
* @param object $user user object
*/
function print_reset_password(&$user) {
?>
<form name="resetpw" method="post" action="admin_update.php">
  <table border="0" cellspacing="0" cellpadding="1" width="50%">
    <tr>
      <td class="tableBorder">
        <table cellspacing="1" cellpadding="2" border="0" width="100%">
          <tr class="rowHeaders">
		  	<td colspan="2"><?=translate('Reset Password for', array($user->get_name()))?></td>
		  </tr>
		  <tr class="cellColor">
            <td width="15%" valign="top"><?=translate('Password')?></td>
			<td><input type="password" value="" class="textbox" name="password" />
			<br />
			<i><?=translate('If no value is specified, the default password set in the config file will be used.')?></i>
			</td>
		  <tr class="cellColor">
		    <td colspan="2"><input type="checkbox" name="notify_user" value="true" checked="checked"/><?=translate('Notify user that password has been changed?')?></td>
		  </tr>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <input type="hidden" name="memberid" value="<?=$user->get_id()?>" />
  <br />
  <?= submit_button(translate('Save')) . hidden_fn('resetPass')?>
  <input type="button" name="cancel" value="<?=translate('Manage Users')?>" class="button" onclick="document.location='<?=$_SERVER['PHP_SELF']?>?tool=users';" />
</form>
<?
}

/**
* Prints out a link to reorder recordset ascending order
* @param Object $pager pager object
* @param string $order order to sort result set by
* @param string $text link text
* @see print_asc_desc_link()
*/
function printAscLink(&$pager, $order, $text) {
	$text = translate("Sort by ascending $text");
	print_asc_desc_link($pager, $order, $text, 'ASC');
}

/**
* Prints out a link to reorder recordset descending order
* @param Object $pager pager object
* @param string $order order to sort result set by
* @param string $text link text
* @see print_asc_desc_link()
*/
function printDescLink(&$pager, $order, $text) {
	$text = translate("Sort by descending $text");
	print_asc_desc_link($pager, $order, $text, 'DESC');
}

/**
* This function extends the printAscLink and printDescLink, printing out
*  a link to reorder a recordset in a certain order
* This was added to keep the current printAsc/DescLink functions in place, but put
*  all logic into one function
* @param Object $pager pager object
* @param string $order order to sort result set by
* @param string $text link text
* @param string $vert ascending or descending order
*/
function print_asc_desc_link(&$pager, $order, $text, $vert) {
	global $link;
	
	$tool = getTool();
	$page = $pager->getPageNum();
	
	$plus_minus = ($vert == 'ASC') ? '[+]' : '[&#8211;]';		// Plus or minus box
	$limit_str = '&amp;' . $pager->getLimitVar() . '=' . $pager->getLimit();
	$page_str  = '&amp;' . $pager->getPageVar() . '=' . $pager->getPageNum();
	$vert_str  = "&amp;vert=$vert";
	
	// Fix up the query string
	$query =  $_SERVER['QUERY_STRING'];
	if (eregi('(\?|&)' . $pager->getLimitVar() . "=[0-9]*", $query))
		$query = eregi_replace('(\?|&)' . $pager->getLimitVar() . "=[0-9]*", $limit_str, $query);
	else
		$query .= $limit_str;
	
	if (eregi('(\?|&)' . $pager->getPageVar() . "=[0-9]*", $query))
		$query = eregi_replace('(\?|&)' . $pager->getPageVar() . "=[0-9]*", $page_str, $query);
	else
		$query .= $page_str;	
	
	if (eregi("(\?|&)vert=[a-zA-Z]*", $query))
		$query = eregi_replace("(\?|&)vert=[a-zA-Z]*", $vert_str, $query);
	else
		$query .= $vert_str;

	if (eregi("(\?|&)order=[a-zA-Z]*", $query))
		$query = eregi_replace("(\?|&)order=[a-zA-Z_]*", "&amp;order=$order", $query);
	else
		$query .= "&amp;order=$order";
		
	$link->doLink($_SERVER['PHP_SELF'] . '?' . $query, $plus_minus, '', '', $text);
}

/**
* Returns a button to cancel editing
* @param none
* @return string of html for a cancel button 
*/
function cancel_button(&$pager) {
	return '<input type="button" name="cancel" value="' . translate('Cancel') . '" class="button" onclick="javascript: document.location=\'' . $_SERVER['PHP_SELF'] . '?tool=' . $_GET['tool'] . '&amp;' . $pager->getLimitVar() . '=' . $pager->getLimit() . '&amp;' . $pager->getPageVar() . '=' . $pager->getPageNum() . '\';" />' . "\n";
}

/**
* Returns a submit button with $value value
* @param string $value value of button
* @param string $get_value value in the query string for editing an item (ie, to edit a resource its machid)
* @return string of html for a submit button
*/
function submit_button($value, $get_value = '') {
	return '<input type="submit" name="submit" value="' . $value . '" class="button" />' . "\n"
			. '<input type="hidden" name="get" value="' . $get_value  . '" />' . "\n";
}

/**
* Returns a hidden fn field
* @param string $value value of the hidden field
* @return string of html for hidden fn field
*/
function hidden_fn($value) {
	return '<input type="hidden" name="fn" value="'. $value . '" />' . "\n";
}

/**
* Prints out the javascript necessary to set up the calendars for choosing start/end dates
* @param int $start initial start date time
* @param int $end initial end date time
*/
function print_jscalendar_setup($start = null, $end = null) {
	global $dates;
	if ($start == null) { $start = mktime(); }
	if ($end == null) { $end = mktime(); }
	?>
	<script type="text/javascript">
	var start = new Date(<?=date('Y', $start) . ',' . (intval(date('m', $start))-1) . ',' . date('d', $start)?>);
	// Start date calendar
	Calendar.setup(
	{
	inputField : "hdn_start_date", // ID of the input field
	ifFormat : "<?='%m' . INTERNAL_DATE_SEPERATOR . '%d' . INTERNAL_DATE_SEPERATOR . '%Y'?>", // the date format
	daFormat : "<?=$dates['general_date']?>", // the date format 
	button : "img_start_date", // ID of the button
	date : start,
	displayArea : "div_start_date"
	}
	);
	var end = new Date(<?=date('Y', $end) . ',' . (intval(date('m', $end))-1) . ',' . date('d', $end)?>);
	// End date calendar
	Calendar.setup(
	{
	inputField : "hdn_end_date", // ID of the input field
	ifFormat : "<?='%m' . INTERNAL_DATE_SEPERATOR . '%d' . INTERNAL_DATE_SEPERATOR . '%Y'?>", // the date format
	daFormat : "<?=$dates['general_date']?>", // the date format
	button : "img_end_date", // ID of the button
	date : end,
	displayArea : "div_end_date"
	}
	);
	</script>
<?
}
?>