<?php
/**
* This file provides output functions for ctrlpnl.php
* No data manipulation is done in this file
* @author Nick Korbel <lqqkout13@users.sourceforge.net>
* @author Adam Moore
* @author David Poole <David.Poole@fccc.edu>
* @author Richard Cantzler <rmcii@users.sourceforge.net>
* @version 07-07-05
* @package Templates
*
* Copyright (C) 2003 - 2005 phpScheduleIt
* License: GPL, see LICENSE
*/

// Get Link object
$link = CmnFns::getNewLink();

/**
* This function prints out the announcement table
*
* @param array announcements
* @global $conf
* @global $link
*/
function showAnnouncementTable($announcements) {
	global $link;
	global $conf;
    ?>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td class="tableTitle">
		    <a href="javascript: void(0);" onclick="showHideCpanelTable('announcements');">&#8250; <?=translate('My Announcements')?></a>
		  </td>
          <td class="tableTitle">
            <div align="right">
              <? $link->doLink('javascript: help(\'my_announcements\');', '?', '', 'color: #FFFFFF;', translate('Help') . ' - ' . translate('My Announcements')) ?>
            </div>
          </td>
        </tr>
      </table>
      <div id="announcements" style="display: <?= getShowHide('announcements') ?>">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr class="cellColor">
          <td colspan="2"><b><?= translate('Announcements as of', array(CmnFns::formatDate(mktime()))) ?></b>
            <ul style="margin-bottom: 0px; margin-left: 20px; margin-top: 5px">
              <?
				// Cycle through and print out announcements
                if (!$announcements) {
                    echo "<li>There are no announcements.</li>\n";
                } else {
                    // For each reservation, clean up the date/time and print it
                    for ($i = 0; is_array($announcements) && $i < count($announcements); $i++) {
                        $rs = $announcements[$i];
                        echo '<li>' . $rs['announcement'] . '</li>';
                    }
                    unset($announcements);
                }
				?>
            </ul>
          </td>
        </tr>
      </table>
	 </div>
    </td>
  </tr>
</table>
<?
}


/**
* Print table listing upcoming reservations
* This function prints a table of all upcoming
* reservations for the current user.  It also
* provides a way for them to modify and delete
* their reservations
* @param mixed $res array of reservation data
* @param string $err last error message from database
*/
function showReservationTable($res, $err) {
	global $link;
?>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="7" class="tableTitle">
		    <a href="javascript: void(0);" onclick="showHideCpanelTable('reservation');">&#8250; <?=translate('My Reservations')?></a>
		  </td>
          <td class="tableTitle">
            <div align="right">
              <? $link->doLink('javascript: help(\'my_reservations\');', '?', '', 'color: #FFFFFF;', translate('Help') . ' - ' . translate('My Reservations')) ?>
            </div>
          </td>
        </tr>
      </table>
      <div id="reservation" style="display: <?= getShowHide('reservation') ?>">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr class="rowHeaders">
          <td width="10%"><?=translate('Start Date')?></td>
		  <td width="10%"><?=translate('End Date')?></td> 
          <td width="23%"><?=translate('Resource')?></td>
          <td width="10%"><?=translate('Start Time')?></td>
          <td width="10%"><?=translate('End Time')?></td>
          <td width="20%"><?=translate('Created')?></td>
          <td width="8%"><?=translate('Modify')?></td>
          <td width="8%"><?=translate('Delete')?></td>
        </tr>
        <tr class="cellColor" style="text-align: center">
          <td>
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=start_date&amp;vert=DESC', '[&#8211;]', '', '', translate('Sort by descending date')) ?>
			&nbsp;&nbsp;
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=start_date&amp;vert=ASC', '[+]', '', '', translate('Sort by ascending date')) ?>
          </td>
		  <td>
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=end_date&amp;vert=DESC', '[&#8211;]', '', '', translate('Sort by descending date')) ?>
			&nbsp;&nbsp;
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=end_date&amp;vert=ASC', '[+]', '', '', translate('Sort by ascending date')) ?>
          </td>
          <td>
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=name&amp;vert=DESC', '[&#8211;]', '', '', translate('Sort by descending resource name')) ?>
			&nbsp;&nbsp;
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=name&amp;vert=ASC', '[+]', '', '', translate('Sort by ascending resource name')) ?>
          </td>
          <td>
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=startTime&amp;vert=DESC', '[&#8211;]', '', '', translate('Sort by descending start time')) ?>
			&nbsp;&nbsp;
            <?
			$link->doLink($_SERVER['PHP_SELF'].'?order=startTime&amp;vert=ASC', '[+]', '', '', translate('Sort by ascending start time')) ?>
          </td>
          <td>
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=endTime&amp;vert=DESC', '[&#8211;]', '', '', translate('Sort by descending end time')) ?>
			&nbsp;&nbsp;
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=endTime&amp;vert=ASC', '[+]', '', '', translate('Sort by ascending end time')) ?>
          </td>
          <td>
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=created&amp;vert=DESC', '[&#8211;]', '', '', translate('Sort by descending created time')) ?>
			&nbsp;&nbsp;
            <? $link->doLink($_SERVER['PHP_SELF'].'?order=created&amp;vert=ASC', '[+]', '', '', translate('Sort by ascending created time')) ?>
          </td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <?

	// Write message if they have no reservations
	if (!$res)
		echo '        <tr class="cellColor"><td colspan="8" align="center">' . $err . '</td></tr>';

    // For each reservation, clean up the date/time and print it
	for ($i = 0; is_array($res) && $i < count($res); $i++) {
		$rs = $res[$i];
		$class = 'cellColor' . ($i%2);
        $modified = (isset($rs['modified']) && !empty($rs['modified'])) ?
		CmnFns::formatDateTime($rs['modified']) : 'N/A';
        echo "        <tr class=\"$class\" align=\"center\">"
					. '          <td>' . $link->getLink("javascript: reserve('v','','','" . $rs['resid']. "');", CmnFns::formatDate($rs['start_date']), '', '', translate('View this reservation')) . '</td>'
					. '          <td>' . $link->getLink("javascript: reserve('v','','','" . $rs['resid']. "');", CmnFns::formatDate($rs['end_date']), '', '', translate('View this reservation')) . '</td>'
					. '          <td style="text-align:left;">' . $rs['name'] . '</td>'
					. '          <td>' . CmnFns::formatTime($rs['startTime']) . '</td>'
					. '          <td>' . CmnFns::formatTime($rs['endTime']) . '</td>'
                    . '          <td>' . CmnFns::formatDateTime($rs['created']) . '</td>'
					. '          <td>' . $link->getLink("javascript: reserve('m','','','" . $rs['resid'] . "');", translate('Modify'), '', '', translate('Modify this reservation')) . '</td>'
					. '          <td>' . $link->getLink("javascript: reserve('d','','','" . $rs['resid'] . "');", translate('Delete'), '', '', translate('Delete this reservation')) . '</td>'
					. "        </tr>\n";
	}
	unset($res);
?>
      </table>
	  </div>
    </td>
  </tr>
</table>
<?
}


/**
* Print table with all user training information
* @param mixed $per permissions array
* @param string $err last database error
*/
function showTrainingTable($per, $err) {
	global $link;
?>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td class="tableTitle" colspan="3">
		    <a href="javascript: void(0);" onclick="showHideCpanelTable('permissions');">&#8250; <?=translate('My Permissions')?></a>
		  </td>
          <td class="tableTitle">
            <div align="right">
              <? $link->doLink('javascript: help(\'my_training\');', '?', '', 'color: #FFFFFF', translate('Help') . ' - ' . translate('My Permissions')) ?>
            </div>
          </td>
        </tr>
      </table>
      <div id="permissions" style="display: <?= getShowHide('permissions') ?>;">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr class="rowHeaders">
          <td width="20%"><?=translate('Resource')?></td>
          <td width="25%"><?=translate('Location')?></td>
          <td width="15%"><?=translate('Phone')?></td>
          <td width="40%"><?=translate('Notes')?></td>
        </tr>
        <?
	// If they have no training, inform them
	if (!$per)
		echo '<tr><td colspan="4" class="cellColor" align="center">' . $err . '</td></tr>';

	// Cycle through and print out machines
    for ($i = 0; is_array($per) && $i < count($per); $i++) {
		$rs = $per[$i];
		$class = 'cellColor' . ($i%2);
		echo "<tr class=\"$class\">\n"
            . '<td>' . $rs['name'] . '</td>'
			. '<td>' . $rs['location'] . '</td>'
			. '<td>' . $rs['rphone'] . '</td>'
            . '<td>' . $rs['notes'] . '</td>'
			. "</tr>\n";
	}
	unset($per);
    ?>
      </table>
	  </div>
    </td>
  </tr>
</table>
<?
}

/**
* This function prints a table of all upcoming
* reservations that the current user has been invited to but not yet responded to.
* It also provides a way for them to accept/decline invitations
* @param mixed $res array of reservation data
* @param string $err last error message from database
*/
function showInvitesTable($res, $err) {
	global $link;
?>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="7" class="tableTitle">
		    <a href="javascript: void(0);" onclick="showHideCpanelTable('invites');">&#8250; <?=translate('My Invitations')?></a>
		  </td>
          <td class="tableTitle">
            <div align="right">
              <? $link->doLink('javascript: help(\'my_invitations\');', '?', '', 'color: #FFFFFF;', translate('Help') . ' - ' . translate('My Invitations')) ?>
            </div>
          </td>
        </tr>
      </table>
      <div id="invites" style="display: <?= getShowHide('invites') ?>">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr class="rowHeaders">
          <td width="10%"><?=translate('Start Date')?></td>
		  <td width="10%"><?=translate('End Date')?></td> 
          <td width="23%"><?=translate('Resource')?></td>
          <td width="10%"><?=translate('Start Time')?></td>
          <td width="10%"><?=translate('End Time')?></td>
          <td width="20%"><?=translate('Owner')?></td>
          <td width="8%"><?=translate('Accept')?></td>
          <td width="8%"><?=translate('Decline')?></td>
		</tr>
        <?

	// Write message if they have no reservations
	if (!$res)
		echo '        <tr class="cellColor"><td colspan="8" align="center">' . $err . '</td></tr>';

    // For each reservation, clean up the date/time and print it
	for ($i = 0; is_array($res) && $i < count($res); $i++) {
		$rs = $res[$i];
		$class = 'cellColor' . ($i%2);
		echo "        <tr class=\"$class\" align=\"center\">"
					. '          <td>' . $link->getLink("javascript: reserve('v','','','" . $rs['resid']. "');", CmnFns::formatDate($rs['start_date']), '', '', translate('View this reservation')) . '</td>'
					. '          <td>' . $link->getLink("javascript: reserve('v','','','" . $rs['resid']. "');", CmnFns::formatDate($rs['end_date']), '', '', translate('View this reservation')) . '</td>'
					. '          <td style="text-align:left;">' . $rs['name'] . '</td>'
					. '          <td>' . CmnFns::formatTime($rs['startTime']) . '</td>'
					. '          <td>' . CmnFns::formatTime($rs['endTime']) . '</td>'
                    . '          <td style="text-align:left;">' . $rs['fname'] . ' ' . $rs['lname'] . '</td>'
					. '          <td>' . $link->getLink("manage_invites.php?id={$rs['resid']}&amp;memberid={$rs['memberid']}&amp;accept_code={$rs['accept_code']}&amp;action=" . INVITE_ACCEPT, translate('Accept'), '', '', translate('Accept or decline this reservation')) . '</td>'
					. '          <td>' . $link->getLink("manage_invites.php?id={$rs['resid']}&amp;memberid={$rs['memberid']}&amp;accept_code={$rs['accept_code']}&amp;action=" . INVITE_DECLINE, translate('Decline'), '', '', translate('Accept or decline this reservation')) . '</td>'
					. "        </tr>\n";
	}
	unset($res);
?>
      </table>
	  </div>
    </td>
  </tr>
</table>
<?
}

/**
* This function prints a table of all upcoming
* reservations that the current user has been invited to but not yet responded to.
* It also provides a way for them to accept/decline invitations
* @param mixed $res array of reservation data
* @param string $err last error message from database
*/
function showParticipatingTable($res, $err) {
	global $link;
?>
<table width="100%" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
    <td class="tableBorder">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td colspan="7" class="tableTitle">
		    <a href="javascript: void(0);" onclick="showHideCpanelTable('accepted');">&#8250; <?=translate('My Reservation Participation')?></a>
		  </td>
          <td class="tableTitle">
            <div align="right">
              <? $link->doLink('javascript: help(\'my_participation\');', '?', '', 'color: #FFFFFF;', translate('Help') . ' - ' . translate('My Reservation Participation')) ?>
            </div>
          </td>
        </tr>
      </table>
      <div id="accepted" style="display: <?= getShowHide('accepted') ?>">
      <table width="100%" border="0" cellspacing="1" cellpadding="0">
        <tr class="rowHeaders">
          <td width="10%"><?=translate('Start Date')?></td>
		  <td width="10%"><?=translate('End Date')?></td> 
          <td width="23%"><?=translate('Resource')?></td>
          <td width="10%"><?=translate('Start Time')?></td>
          <td width="10%"><?=translate('End Time')?></td>
          <td width="20%"><?=translate('Owner')?></td>
          <td width="16%"><?=translate('End Participation')?></td>
		</tr>
        <?

	// Write message if they have no reservations
	if (!$res)
		echo '        <tr class="cellColor"><td colspan="7" align="center">' . $err . '</td></tr>';

    // For each reservation, clean up the date/time and print it
	for ($i = 0; is_array($res) && $i < count($res); $i++) {
		$rs = $res[$i];
		$class = 'cellColor' . ($i%2);
		echo "        <tr class=\"$class\" align=\"center\">"
					. '          <td>' . $link->getLink("javascript: reserve('v','','','" . $rs['resid']. "');", CmnFns::formatDate($rs['start_date']), '', '', translate('View this reservation')) . '</td>'
					. '          <td>' . $link->getLink("javascript: reserve('v','','','" . $rs['resid']. "');", CmnFns::formatDate($rs['end_date']), '', '', translate('View this reservation')) . '</td>'
					. '          <td style="text-align:left;">' . $rs['name'] . '</td>'
					. '          <td>' . CmnFns::formatTime($rs['startTime']) . '</td>'
					. '          <td>' . CmnFns::formatTime($rs['endTime']) . '</td>'
                    . '          <td style="text-align:left;">' . $rs['fname'] . ' ' . $rs['lname'] . '</td>'
					. '          <td>' . $link->getLink("manage_invites.php?id={$rs['resid']}&amp;memberid={$rs['memberid']}&amp;accept_code={$rs['accept_code']}&amp;action=" . INVITE_DECLINE, translate('End Participation'), '', '', translate('End Participation')) . '</td>'
					. "        </tr>\n";
	}
	unset($res);
?>
      </table>
	  </div>
    </td>
  </tr>
</table>
<?
}

/**
* Print out a table of links for user or administrator
* This function prints out a table of links to
* other parts of the system.  If the user is an admin,
* it will print out links to administrative pages, also
* @param none
*/
function showQuickLinks() {
	global $conf;
	global $link;
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
  <tr>
    <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="tableTitle" style="background-color:#A2B5CD;">
		    &#8250; <?=translate('My Quick Links')?>
		  </td>
          <td class="tableTitle" style="background-color:#A2B5CD;"><div align="right">
              <? $link->doLink("javascript: help('quick_links');", '?', '', 'color: #FFFFFF', translate('Help') . ' - ' . translate('My Quick Links')) ?>
            </div>
          </td>
        </tr>
      </table>
      <div id="quicklinks" style="display: <?= getShowHide('quicklinks') ?>;">
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr style="padding: 5px;" class="cellColor">
          <td colspan="2">
            <p><b>&raquo;</b>
              <? $link->doLink('schedule.php', translate('Go to the Online Scheduler')) ?>
            </p>
			<p><b>&raquo;</b>
              <? $link->doLink('mycalendar.php?view=3', translate('View My Calendar')) ?>
            </p>
			<p><b>&raquo;</b>
              <? $link->doLink('rescalendar.php?view=3', translate('View Resource Calendar')) ?>
            </p>
            <p><b>&raquo;</b>
              <? $link->doLink('register.php?edit=true', translate('Change My Profile Information/Password')) ?>
            </p>
            <p><b>&raquo;</b>
              <? $link->doLink('my_email.php', translate('Manage My Email Preferences')) ?>
            </p>
			<p><b>&raquo;</b>
              <? $link->doLink('mailto:' . $conf['app']['adminEmail'].'?cc=' . $conf['app']['ccEmail'], translate('Email Administrator'), '', '', 'Send a non-technical email to the administrator') ?>
            </p>
            <p><b>&raquo;</b>
              <? $link->doLink('index.php?logout=true', translate('Log Out')) ?>
            </p>
            <?
			// If it's the admin, print out admin links
			if (Auth::isAdmin()) {
			echo
				  '<p style="margin-top:7px;font-weight:bold;text-align:center;">' . translate('System Administration') . '</p>'
				. '<p><b>&raquo;</b> ' .  $link->getLink('admin.php?tool=schedules', translate('Manage Schedules')) . "</p>\n"
				. '<p><b>&raquo;</b> ' .  $link->getLink('admin.php?tool=resources', translate('Manage Resources')) . "</p>\n"
				. '<p><b>&raquo;</b> ' .  $link->getLink('admin.php?tool=users', translate('Manage Users')) . "</p>\n"
				. '<p style="margin-top:10px;"><b>&raquo;</b> ' .  $link->getLink('admin.php?tool=reservations', translate('Manage Reservations')) . "</p>\n"
				. '<p><b>&raquo;</b> ' .  $link->getLink('blackouts.php', translate('Manage Blackout Times')) . "</p>\n"
				. '<p><b>&raquo;</b> ' .  $link->getLink('admin.php?tool=announcements', translate('Manage Announcements')) . "</p>\n"
				. '<p><b>&raquo;</b> ' .  $link->getLink('admin.php?tool=approval', translate('Approve Reservations')) . "</p>\n"
				. '<p style="margin-top:10px;"><b>&raquo;</b> ' .  $link->getLink('admin.php?tool=email', translate('Mass Email Users')) . "</p>\n"
                . '<p><b>&raquo;</b> ' .  $link->getLink('usage.php', translate('Search Scheduled Resource Usage')) . "</p>\n"
				. '<p><b>&raquo;</b> ' .  $link->getLink('admin.php?tool=export', translate('Export Database Content')) . "</p>\n"
				. '<p><b>&raquo;</b> ' .  $link->getLink('stats.php', translate('View System Stats')) . "</p>\n";
		}
		?>

          </td>
        </tr>
      </table>
	  </div>
    </td>
  </tr>
</table>
<?
}

/**
* Print out break to be used between tables
* @param none
*/
function printCpanelBr() {
	echo '<p>&nbsp;</p>';
}

/**
* Returns the proper expansion type for this table
*  based on cookie settings
* @param string table name of table to check
* @return either 'block' or 'none'
*/
function getShowHide($table) {
	if (isset($_COOKIE[$table]) && $_COOKIE[$table] == 'hide') {
		return 'none';
	}
	else
		return 'block';
}

function startQuickLinksCol() {
?>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td style="vertical-align:top; width:16%; border:solid 2px #A2B5CD; background-color:#FFFFFF;">
<? 
}

function startDataDisplayCol() {
?>
</td>
<td style="padding-left:5px; vertical-align:top;">
<?
}

function endDataDisplayCol() {
?>
</td>
</tr>
</table>
<?
}
?>